<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfCampaignObjectStatisticsOption ArrayType
 * @subpackage Arrays
 */
class ArrayOfCampaignObjectStatisticsOption extends AbstractStructArrayBase
{
    /**
     * The CampaignObjectStatisticsOption
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CampaignObjectStatisticsOption[]
     */
    public $CampaignObjectStatisticsOption;
    /**
     * Constructor method for ArrayOfCampaignObjectStatisticsOption
     * @uses ArrayOfCampaignObjectStatisticsOption::setCampaignObjectStatisticsOption()
     * @param \StructType\CampaignObjectStatisticsOption[] $campaignObjectStatisticsOption
     */
    public function __construct(array $campaignObjectStatisticsOption = array())
    {
        $this
            ->setCampaignObjectStatisticsOption($campaignObjectStatisticsOption);
    }
    /**
     * Get CampaignObjectStatisticsOption value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CampaignObjectStatisticsOption[]|null
     */
    public function getCampaignObjectStatisticsOption()
    {
        return isset($this->CampaignObjectStatisticsOption) ? $this->CampaignObjectStatisticsOption : null;
    }
    /**
     * This method is responsible for validating the values passed to the setCampaignObjectStatisticsOption method
     * This method is willingly generated in order to preserve the one-line inline validation within the setCampaignObjectStatisticsOption method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateCampaignObjectStatisticsOptionForArrayConstraintsFromSetCampaignObjectStatisticsOption(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfCampaignObjectStatisticsOptionCampaignObjectStatisticsOptionItem) {
            // validation for constraint: itemType
            if (!$arrayOfCampaignObjectStatisticsOptionCampaignObjectStatisticsOptionItem instanceof \StructType\CampaignObjectStatisticsOption) {
                $invalidValues[] = is_object($arrayOfCampaignObjectStatisticsOptionCampaignObjectStatisticsOptionItem) ? get_class($arrayOfCampaignObjectStatisticsOptionCampaignObjectStatisticsOptionItem) : sprintf('%s(%s)', gettype($arrayOfCampaignObjectStatisticsOptionCampaignObjectStatisticsOptionItem), var_export($arrayOfCampaignObjectStatisticsOptionCampaignObjectStatisticsOptionItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The CampaignObjectStatisticsOption property can only contain items of type \StructType\CampaignObjectStatisticsOption, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set CampaignObjectStatisticsOption value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\CampaignObjectStatisticsOption[] $campaignObjectStatisticsOption
     * @return \ArrayType\ArrayOfCampaignObjectStatisticsOption
     */
    public function setCampaignObjectStatisticsOption(array $campaignObjectStatisticsOption = array())
    {
        // validation for constraint: array
        if ('' !== ($campaignObjectStatisticsOptionArrayErrorMessage = self::validateCampaignObjectStatisticsOptionForArrayConstraintsFromSetCampaignObjectStatisticsOption($campaignObjectStatisticsOption))) {
            throw new \InvalidArgumentException($campaignObjectStatisticsOptionArrayErrorMessage, __LINE__);
        }
        if (is_null($campaignObjectStatisticsOption) || (is_array($campaignObjectStatisticsOption) && empty($campaignObjectStatisticsOption))) {
            unset($this->CampaignObjectStatisticsOption);
        } else {
            $this->CampaignObjectStatisticsOption = $campaignObjectStatisticsOption;
        }
        return $this;
    }
    /**
     * Add item to CampaignObjectStatisticsOption value
     * @throws \InvalidArgumentException
     * @param \StructType\CampaignObjectStatisticsOption $item
     * @return \ArrayType\ArrayOfCampaignObjectStatisticsOption
     */
    public function addToCampaignObjectStatisticsOption(\StructType\CampaignObjectStatisticsOption $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\CampaignObjectStatisticsOption) {
            throw new \InvalidArgumentException(sprintf('The CampaignObjectStatisticsOption property can only contain items of type \StructType\CampaignObjectStatisticsOption, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->CampaignObjectStatisticsOption[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\CampaignObjectStatisticsOption|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\CampaignObjectStatisticsOption|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\CampaignObjectStatisticsOption|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\CampaignObjectStatisticsOption|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\CampaignObjectStatisticsOption|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string CampaignObjectStatisticsOption
     */
    public function getAttributeName()
    {
        return 'CampaignObjectStatisticsOption';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfCampaignObjectStatisticsOption
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
