<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMagentoCreditMemoItem ArrayType
 * @subpackage Arrays
 */
class ArrayOfMagentoCreditMemoItem extends AbstractStructArrayBase
{
    /**
     * The MagentoCreditMemoItem
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\MagentoCreditMemoItem[]
     */
    public $MagentoCreditMemoItem;
    /**
     * Constructor method for ArrayOfMagentoCreditMemoItem
     * @uses ArrayOfMagentoCreditMemoItem::setMagentoCreditMemoItem()
     * @param \StructType\MagentoCreditMemoItem[] $magentoCreditMemoItem
     */
    public function __construct(array $magentoCreditMemoItem = array())
    {
        $this
            ->setMagentoCreditMemoItem($magentoCreditMemoItem);
    }
    /**
     * Get MagentoCreditMemoItem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\MagentoCreditMemoItem[]|null
     */
    public function getMagentoCreditMemoItem()
    {
        return isset($this->MagentoCreditMemoItem) ? $this->MagentoCreditMemoItem : null;
    }
    /**
     * This method is responsible for validating the values passed to the setMagentoCreditMemoItem method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMagentoCreditMemoItem method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMagentoCreditMemoItemForArrayConstraintsFromSetMagentoCreditMemoItem(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfMagentoCreditMemoItemMagentoCreditMemoItemItem) {
            // validation for constraint: itemType
            if (!$arrayOfMagentoCreditMemoItemMagentoCreditMemoItemItem instanceof \StructType\MagentoCreditMemoItem) {
                $invalidValues[] = is_object($arrayOfMagentoCreditMemoItemMagentoCreditMemoItemItem) ? get_class($arrayOfMagentoCreditMemoItemMagentoCreditMemoItemItem) : sprintf('%s(%s)', gettype($arrayOfMagentoCreditMemoItemMagentoCreditMemoItemItem), var_export($arrayOfMagentoCreditMemoItemMagentoCreditMemoItemItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The MagentoCreditMemoItem property can only contain items of type \StructType\MagentoCreditMemoItem, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set MagentoCreditMemoItem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\MagentoCreditMemoItem[] $magentoCreditMemoItem
     * @return \ArrayType\ArrayOfMagentoCreditMemoItem
     */
    public function setMagentoCreditMemoItem(array $magentoCreditMemoItem = array())
    {
        // validation for constraint: array
        if ('' !== ($magentoCreditMemoItemArrayErrorMessage = self::validateMagentoCreditMemoItemForArrayConstraintsFromSetMagentoCreditMemoItem($magentoCreditMemoItem))) {
            throw new \InvalidArgumentException($magentoCreditMemoItemArrayErrorMessage, __LINE__);
        }
        if (is_null($magentoCreditMemoItem) || (is_array($magentoCreditMemoItem) && empty($magentoCreditMemoItem))) {
            unset($this->MagentoCreditMemoItem);
        } else {
            $this->MagentoCreditMemoItem = $magentoCreditMemoItem;
        }
        return $this;
    }
    /**
     * Add item to MagentoCreditMemoItem value
     * @throws \InvalidArgumentException
     * @param \StructType\MagentoCreditMemoItem $item
     * @return \ArrayType\ArrayOfMagentoCreditMemoItem
     */
    public function addToMagentoCreditMemoItem(\StructType\MagentoCreditMemoItem $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\MagentoCreditMemoItem) {
            throw new \InvalidArgumentException(sprintf('The MagentoCreditMemoItem property can only contain items of type \StructType\MagentoCreditMemoItem, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->MagentoCreditMemoItem[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\MagentoCreditMemoItem|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\MagentoCreditMemoItem|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\MagentoCreditMemoItem|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\MagentoCreditMemoItem|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\MagentoCreditMemoItem|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MagentoCreditMemoItem
     */
    public function getAttributeName()
    {
        return 'MagentoCreditMemoItem';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfMagentoCreditMemoItem
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
