<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMagentoOrder ArrayType
 * @subpackage Arrays
 */
class ArrayOfMagentoOrder extends AbstractStructArrayBase
{
    /**
     * The MagentoOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\MagentoOrder[]
     */
    public $MagentoOrder;
    /**
     * Constructor method for ArrayOfMagentoOrder
     * @uses ArrayOfMagentoOrder::setMagentoOrder()
     * @param \StructType\MagentoOrder[] $magentoOrder
     */
    public function __construct(array $magentoOrder = array())
    {
        $this
            ->setMagentoOrder($magentoOrder);
    }
    /**
     * Get MagentoOrder value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\MagentoOrder[]|null
     */
    public function getMagentoOrder()
    {
        return isset($this->MagentoOrder) ? $this->MagentoOrder : null;
    }
    /**
     * This method is responsible for validating the values passed to the setMagentoOrder method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMagentoOrder method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMagentoOrderForArrayConstraintsFromSetMagentoOrder(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfMagentoOrderMagentoOrderItem) {
            // validation for constraint: itemType
            if (!$arrayOfMagentoOrderMagentoOrderItem instanceof \StructType\MagentoOrder) {
                $invalidValues[] = is_object($arrayOfMagentoOrderMagentoOrderItem) ? get_class($arrayOfMagentoOrderMagentoOrderItem) : sprintf('%s(%s)', gettype($arrayOfMagentoOrderMagentoOrderItem), var_export($arrayOfMagentoOrderMagentoOrderItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The MagentoOrder property can only contain items of type \StructType\MagentoOrder, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set MagentoOrder value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\MagentoOrder[] $magentoOrder
     * @return \ArrayType\ArrayOfMagentoOrder
     */
    public function setMagentoOrder(array $magentoOrder = array())
    {
        // validation for constraint: array
        if ('' !== ($magentoOrderArrayErrorMessage = self::validateMagentoOrderForArrayConstraintsFromSetMagentoOrder($magentoOrder))) {
            throw new \InvalidArgumentException($magentoOrderArrayErrorMessage, __LINE__);
        }
        if (is_null($magentoOrder) || (is_array($magentoOrder) && empty($magentoOrder))) {
            unset($this->MagentoOrder);
        } else {
            $this->MagentoOrder = $magentoOrder;
        }
        return $this;
    }
    /**
     * Add item to MagentoOrder value
     * @throws \InvalidArgumentException
     * @param \StructType\MagentoOrder $item
     * @return \ArrayType\ArrayOfMagentoOrder
     */
    public function addToMagentoOrder(\StructType\MagentoOrder $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\MagentoOrder) {
            throw new \InvalidArgumentException(sprintf('The MagentoOrder property can only contain items of type \StructType\MagentoOrder, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->MagentoOrder[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\MagentoOrder|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\MagentoOrder|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\MagentoOrder|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\MagentoOrder|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\MagentoOrder|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MagentoOrder
     */
    public function getAttributeName()
    {
        return 'MagentoOrder';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfMagentoOrder
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
