<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfMagentoProduct ArrayType
 * @subpackage Arrays
 */
class ArrayOfMagentoProduct extends AbstractStructArrayBase
{
    /**
     * The MagentoProduct
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\MagentoProduct[]
     */
    public $MagentoProduct;
    /**
     * Constructor method for ArrayOfMagentoProduct
     * @uses ArrayOfMagentoProduct::setMagentoProduct()
     * @param \StructType\MagentoProduct[] $magentoProduct
     */
    public function __construct(array $magentoProduct = array())
    {
        $this
            ->setMagentoProduct($magentoProduct);
    }
    /**
     * Get MagentoProduct value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\MagentoProduct[]|null
     */
    public function getMagentoProduct()
    {
        return isset($this->MagentoProduct) ? $this->MagentoProduct : null;
    }
    /**
     * This method is responsible for validating the values passed to the setMagentoProduct method
     * This method is willingly generated in order to preserve the one-line inline validation within the setMagentoProduct method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateMagentoProductForArrayConstraintsFromSetMagentoProduct(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfMagentoProductMagentoProductItem) {
            // validation for constraint: itemType
            if (!$arrayOfMagentoProductMagentoProductItem instanceof \StructType\MagentoProduct) {
                $invalidValues[] = is_object($arrayOfMagentoProductMagentoProductItem) ? get_class($arrayOfMagentoProductMagentoProductItem) : sprintf('%s(%s)', gettype($arrayOfMagentoProductMagentoProductItem), var_export($arrayOfMagentoProductMagentoProductItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The MagentoProduct property can only contain items of type \StructType\MagentoProduct, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set MagentoProduct value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\MagentoProduct[] $magentoProduct
     * @return \ArrayType\ArrayOfMagentoProduct
     */
    public function setMagentoProduct(array $magentoProduct = array())
    {
        // validation for constraint: array
        if ('' !== ($magentoProductArrayErrorMessage = self::validateMagentoProductForArrayConstraintsFromSetMagentoProduct($magentoProduct))) {
            throw new \InvalidArgumentException($magentoProductArrayErrorMessage, __LINE__);
        }
        if (is_null($magentoProduct) || (is_array($magentoProduct) && empty($magentoProduct))) {
            unset($this->MagentoProduct);
        } else {
            $this->MagentoProduct = $magentoProduct;
        }
        return $this;
    }
    /**
     * Add item to MagentoProduct value
     * @throws \InvalidArgumentException
     * @param \StructType\MagentoProduct $item
     * @return \ArrayType\ArrayOfMagentoProduct
     */
    public function addToMagentoProduct(\StructType\MagentoProduct $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\MagentoProduct) {
            throw new \InvalidArgumentException(sprintf('The MagentoProduct property can only contain items of type \StructType\MagentoProduct, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->MagentoProduct[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\MagentoProduct|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\MagentoProduct|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\MagentoProduct|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\MagentoProduct|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\MagentoProduct|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string MagentoProduct
     */
    public function getAttributeName()
    {
        return 'MagentoProduct';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfMagentoProduct
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
