<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfSmsBlockContainer ArrayType
 * @subpackage Arrays
 */
class ArrayOfSmsBlockContainer extends AbstractStructArrayBase
{
    /**
     * The SmsBlockContainer
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SmsBlockContainer[]
     */
    public $SmsBlockContainer;
    /**
     * Constructor method for ArrayOfSmsBlockContainer
     * @uses ArrayOfSmsBlockContainer::setSmsBlockContainer()
     * @param \StructType\SmsBlockContainer[] $smsBlockContainer
     */
    public function __construct(array $smsBlockContainer = array())
    {
        $this
            ->setSmsBlockContainer($smsBlockContainer);
    }
    /**
     * Get SmsBlockContainer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SmsBlockContainer[]|null
     */
    public function getSmsBlockContainer()
    {
        return isset($this->SmsBlockContainer) ? $this->SmsBlockContainer : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSmsBlockContainer method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSmsBlockContainer method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSmsBlockContainerForArrayConstraintsFromSetSmsBlockContainer(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfSmsBlockContainerSmsBlockContainerItem) {
            // validation for constraint: itemType
            if (!$arrayOfSmsBlockContainerSmsBlockContainerItem instanceof \StructType\SmsBlockContainer) {
                $invalidValues[] = is_object($arrayOfSmsBlockContainerSmsBlockContainerItem) ? get_class($arrayOfSmsBlockContainerSmsBlockContainerItem) : sprintf('%s(%s)', gettype($arrayOfSmsBlockContainerSmsBlockContainerItem), var_export($arrayOfSmsBlockContainerSmsBlockContainerItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SmsBlockContainer property can only contain items of type \StructType\SmsBlockContainer, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SmsBlockContainer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SmsBlockContainer[] $smsBlockContainer
     * @return \ArrayType\ArrayOfSmsBlockContainer
     */
    public function setSmsBlockContainer(array $smsBlockContainer = array())
    {
        // validation for constraint: array
        if ('' !== ($smsBlockContainerArrayErrorMessage = self::validateSmsBlockContainerForArrayConstraintsFromSetSmsBlockContainer($smsBlockContainer))) {
            throw new \InvalidArgumentException($smsBlockContainerArrayErrorMessage, __LINE__);
        }
        if (is_null($smsBlockContainer) || (is_array($smsBlockContainer) && empty($smsBlockContainer))) {
            unset($this->SmsBlockContainer);
        } else {
            $this->SmsBlockContainer = $smsBlockContainer;
        }
        return $this;
    }
    /**
     * Add item to SmsBlockContainer value
     * @throws \InvalidArgumentException
     * @param \StructType\SmsBlockContainer $item
     * @return \ArrayType\ArrayOfSmsBlockContainer
     */
    public function addToSmsBlockContainer(\StructType\SmsBlockContainer $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SmsBlockContainer) {
            throw new \InvalidArgumentException(sprintf('The SmsBlockContainer property can only contain items of type \StructType\SmsBlockContainer, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SmsBlockContainer[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\SmsBlockContainer|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\SmsBlockContainer|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\SmsBlockContainer|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\SmsBlockContainer|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\SmsBlockContainer|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string SmsBlockContainer
     */
    public function getAttributeName()
    {
        return 'SmsBlockContainer';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfSmsBlockContainer
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
