<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Array' => '\\StructType\\_Array',
            'Struct' => '\\StructType\\Struct',
            'duration' => '\\StructType\\Duration',
            'dateTime' => '\\StructType\\DateTime',
            'NOTATION' => '\\StructType\\NOTATION',
            'time' => '\\StructType\\Time',
            'date' => '\\StructType\\Date',
            'gYearMonth' => '\\StructType\\GYearMonth',
            'gYear' => '\\StructType\\GYear',
            'gMonthDay' => '\\StructType\\GMonthDay',
            'gDay' => '\\StructType\\GDay',
            'gMonth' => '\\StructType\\GMonth',
            'boolean' => '\\StructType\\Boolean',
            'base64Binary' => '\\StructType\\Base64Binary',
            'hexBinary' => '\\StructType\\HexBinary',
            'float' => '\\StructType\\_float',
            'double' => '\\StructType\\Double',
            'anyURI' => '\\StructType\\AnyURI',
            'QName' => '\\StructType\\QName',
            'string' => '\\StructType\\_string',
            'normalizedString' => '\\StructType\\NormalizedString',
            'token' => '\\StructType\\Token',
            'language' => '\\StructType\\Language',
            'Name' => '\\StructType\\Name',
            'NMTOKEN' => '\\StructType\\NMTOKEN',
            'NCName' => '\\StructType\\NCName',
            'NMTOKENS' => '\\StructType\\NMTOKENS',
            'ID' => '\\StructType\\ID',
            'IDREF' => '\\StructType\\IDREF',
            'ENTITY' => '\\StructType\\ENTITY',
            'IDREFS' => '\\StructType\\IDREFS',
            'ENTITIES' => '\\StructType\\ENTITIES',
            'decimal' => '\\StructType\\Decimal',
            'integer' => '\\StructType\\Integer',
            'nonPositiveInteger' => '\\StructType\\NonPositiveInteger',
            'negativeInteger' => '\\StructType\\NegativeInteger',
            'long' => '\\StructType\\Long',
            'int' => '\\StructType\\_int',
            'short' => '\\StructType\\Short',
            'byte' => '\\StructType\\Byte',
            'nonNegativeInteger' => '\\StructType\\NonNegativeInteger',
            'unsignedLong' => '\\StructType\\UnsignedLong',
            'unsignedInt' => '\\StructType\\UnsignedInt',
            'unsignedShort' => '\\StructType\\UnsignedShort',
            'unsignedByte' => '\\StructType\\UnsignedByte',
            'positiveInteger' => '\\StructType\\PositiveInteger',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'EmailBlock' => '\\StructType\\EmailBlock',
            'ArrayOfEmailBlock' => '\\ArrayType\\ArrayOfEmailBlock',
            'EmailBlockContainer' => '\\StructType\\EmailBlockContainer',
            'ArrayOfEmailBlockContainer' => '\\ArrayType\\ArrayOfEmailBlockContainer',
            'Email' => '\\StructType\\Email',
            'email_insert' => '\\StructType\\Email_insert',
            'email_insertResponse' => '\\StructType\\Email_insertResponse',
            'email_update' => '\\StructType\\Email_update',
            'email_updateResponse' => '\\StructType\\Email_updateResponse',
            'email_upsert' => '\\StructType\\Email_upsert',
            'email_upsertResponse' => '\\StructType\\Email_upsertResponse',
            'email_getById' => '\\StructType\\Email_getById',
            'email_getByIdResponse' => '\\StructType\\Email_getByIdResponse',
            'Option' => '\\StructType\\Option',
            'ArrayOfOption' => '\\ArrayType\\ArrayOfOption',
            'MethodOptions' => '\\StructType\\MethodOptions',
            'ArrayOfMethodOptions' => '\\ArrayType\\ArrayOfMethodOptions',
            'email_listOptions' => '\\StructType\\Email_listOptions',
            'email_listOptionsResponse' => '\\StructType\\Email_listOptionsResponse',
            'email_sendToGroup' => '\\StructType\\Email_sendToGroup',
            'email_sendToGroupResponse' => '\\StructType\\Email_sendToGroupResponse',
            'email_sendToProfile' => '\\StructType\\Email_sendToProfile',
            'email_sendToProfileResponse' => '\\StructType\\Email_sendToProfileResponse',
            'email_sendToCustomer' => '\\StructType\\Email_sendToCustomer',
            'email_sendToCustomerResponse' => '\\StructType\\Email_sendToCustomerResponse',
            'email_sendToCustomers' => '\\StructType\\Email_sendToCustomers',
            'email_sendToCustomersResponse' => '\\StructType\\Email_sendToCustomersResponse',
            'ArrayOfEmail' => '\\ArrayType\\ArrayOfEmail',
            'email_getByObject' => '\\StructType\\Email_getByObject',
            'email_getByObjectResponse' => '\\StructType\\Email_getByObjectResponse',
            'email_delete' => '\\StructType\\Email_delete',
            'email_deleteResponse' => '\\StructType\\Email_deleteResponse',
            'email_getAll' => '\\StructType\\Email_getAll',
            'email_getAllResponse' => '\\StructType\\Email_getAllResponse',
            'email_hasChanged' => '\\StructType\\Email_hasChanged',
            'email_hasChangedResponse' => '\\StructType\\Email_hasChangedResponse',
            'email_create' => '\\StructType\\Email_create',
            'email_createResponse' => '\\StructType\\Email_createResponse',
            'BrowserInformation' => '\\StructType\\BrowserInformation',
            'Open' => '\\StructType\\Open',
            'open_getById' => '\\StructType\\Open_getById',
            'open_getByIdResponse' => '\\StructType\\Open_getByIdResponse',
            'filemanager_makeDir' => '\\StructType\\Filemanager_makeDir',
            'filemanager_makeDirResponse' => '\\StructType\\Filemanager_makeDirResponse',
            'Resource' => '\\StructType\\_Resource',
            'resource_getById' => '\\StructType\\Resource_getById',
            'resource_getByIdResponse' => '\\StructType\\Resource_getByIdResponse',
            'resource_free' => '\\StructType\\Resource_free',
            'resource_freeResponse' => '\\StructType\\Resource_freeResponse',
            'MagentoCategory' => '\\StructType\\MagentoCategory',
            'ArrayOfMagentoCategory' => '\\ArrayType\\ArrayOfMagentoCategory',
            'MagentoProduct' => '\\StructType\\MagentoProduct',
            'ArrayOfMagentoProduct' => '\\ArrayType\\ArrayOfMagentoProduct',
            'MagentoShipment' => '\\StructType\\MagentoShipment',
            'magentoShipment_insert' => '\\StructType\\MagentoShipment_insert',
            'magentoShipment_insertResponse' => '\\StructType\\MagentoShipment_insertResponse',
            'magentoShipment_create' => '\\StructType\\MagentoShipment_create',
            'magentoShipment_createResponse' => '\\StructType\\MagentoShipment_createResponse',
            'Tag' => '\\StructType\\Tag',
            'ArrayOfTag' => '\\ArrayType\\ArrayOfTag',
            'MailingLink' => '\\StructType\\MailingLink',
            'mailingLink_getClickSet' => '\\StructType\\MailingLink_getClickSet',
            'mailingLink_getClickSetResponse' => '\\StructType\\MailingLink_getClickSetResponse',
            'sms_listOptions' => '\\StructType\\Sms_listOptions',
            'sms_listOptionsResponse' => '\\StructType\\Sms_listOptionsResponse',
            'SmsBlock' => '\\StructType\\SmsBlock',
            'ArrayOfSmsBlock' => '\\ArrayType\\ArrayOfSmsBlock',
            'SmsBlockContainer' => '\\StructType\\SmsBlockContainer',
            'ArrayOfSmsBlockContainer' => '\\ArrayType\\ArrayOfSmsBlockContainer',
            'Sms' => '\\StructType\\Sms',
            'sms_create' => '\\StructType\\Sms_create',
            'sms_createResponse' => '\\StructType\\Sms_createResponse',
            'sms_delete' => '\\StructType\\Sms_delete',
            'sms_deleteResponse' => '\\StructType\\Sms_deleteResponse',
            'sms_sendToCustomer' => '\\StructType\\Sms_sendToCustomer',
            'sms_sendToCustomerResponse' => '\\StructType\\Sms_sendToCustomerResponse',
            'sms_sendToCustomers' => '\\StructType\\Sms_sendToCustomers',
            'sms_sendToCustomersResponse' => '\\StructType\\Sms_sendToCustomersResponse',
            'ArrayOfSms' => '\\ArrayType\\ArrayOfSms',
            'sms_getAll' => '\\StructType\\Sms_getAll',
            'sms_getAllResponse' => '\\StructType\\Sms_getAllResponse',
            'sms_getById' => '\\StructType\\Sms_getById',
            'sms_getByIdResponse' => '\\StructType\\Sms_getByIdResponse',
            'sms_insert' => '\\StructType\\Sms_insert',
            'sms_insertResponse' => '\\StructType\\Sms_insertResponse',
            'sms_getByObject' => '\\StructType\\Sms_getByObject',
            'sms_getByObjectResponse' => '\\StructType\\Sms_getByObjectResponse',
            'sms_sendToProfile' => '\\StructType\\Sms_sendToProfile',
            'sms_sendToProfileResponse' => '\\StructType\\Sms_sendToProfileResponse',
            'sms_hasChanged' => '\\StructType\\Sms_hasChanged',
            'sms_hasChangedResponse' => '\\StructType\\Sms_hasChangedResponse',
            'sms_update' => '\\StructType\\Sms_update',
            'sms_updateResponse' => '\\StructType\\Sms_updateResponse',
            'sms_upsert' => '\\StructType\\Sms_upsert',
            'sms_upsertResponse' => '\\StructType\\Sms_upsertResponse',
            'sms_sendToGroup' => '\\StructType\\Sms_sendToGroup',
            'sms_sendToGroupResponse' => '\\StructType\\Sms_sendToGroupResponse',
            'magentoProduct_upsert' => '\\StructType\\MagentoProduct_upsert',
            'magentoProduct_upsertResponse' => '\\StructType\\MagentoProduct_upsertResponse',
            'magentoProduct_create' => '\\StructType\\MagentoProduct_create',
            'magentoProduct_createResponse' => '\\StructType\\MagentoProduct_createResponse',
            'CustomerOption' => '\\StructType\\CustomerOption',
            'ArrayOfCustomerOption' => '\\ArrayType\\ArrayOfCustomerOption',
            'Account' => '\\StructType\\Account',
            'ArrayOfAccount' => '\\ArrayType\\ArrayOfAccount',
            'Customer' => '\\StructType\\Customer',
            'customerSet_getCustomer' => '\\StructType\\CustomerSet_getCustomer',
            'customerSet_getCustomerResponse' => '\\StructType\\CustomerSet_getCustomerResponse',
            'ArrayOfCustomer' => '\\ArrayType\\ArrayOfCustomer',
            'customerSet_getCustomers' => '\\StructType\\CustomerSet_getCustomers',
            'customerSet_getCustomersResponse' => '\\StructType\\CustomerSet_getCustomersResponse',
            'customerSet_getCustomerIds' => '\\StructType\\CustomerSet_getCustomerIds',
            'customerSet_getCustomerIdsResponse' => '\\StructType\\CustomerSet_getCustomerIdsResponse',
            'MagentoAbandonedOrder' => '\\StructType\\MagentoAbandonedOrder',
            'magentoAbandonedOrder_create' => '\\StructType\\MagentoAbandonedOrder_create',
            'magentoAbandonedOrder_createResponse' => '\\StructType\\MagentoAbandonedOrder_createResponse',
            'magentoAbandonedOrder_insert' => '\\StructType\\MagentoAbandonedOrder_insert',
            'magentoAbandonedOrder_insertResponse' => '\\StructType\\MagentoAbandonedOrder_insertResponse',
            'campaign_getAllExecutable' => '\\StructType\\Campaign_getAllExecutable',
            'campaign_getAllExecutableResponse' => '\\StructType\\Campaign_getAllExecutableResponse',
            'campaign_execute' => '\\StructType\\Campaign_execute',
            'campaign_executeResponse' => '\\StructType\\Campaign_executeResponse',
            'campaign_executeAsync' => '\\StructType\\Campaign_executeAsync',
            'campaign_executeAsyncResponse' => '\\StructType\\Campaign_executeAsyncResponse',
            'campaign_getMembers' => '\\StructType\\Campaign_getMembers',
            'campaign_getMembersResponse' => '\\StructType\\Campaign_getMembersResponse',
            'campaign_hasMember' => '\\StructType\\Campaign_hasMember',
            'campaign_hasMemberResponse' => '\\StructType\\Campaign_hasMemberResponse',
            'campaign_addMember' => '\\StructType\\Campaign_addMember',
            'campaign_addMemberResponse' => '\\StructType\\Campaign_addMemberResponse',
            'campaign_removeMember' => '\\StructType\\Campaign_removeMember',
            'campaign_removeMemberResponse' => '\\StructType\\Campaign_removeMemberResponse',
            'ArrayOfMailingLink' => '\\ArrayType\\ArrayOfMailingLink',
            'Mailing' => '\\StructType\\Mailing',
            'mailingSet_getMailing' => '\\StructType\\MailingSet_getMailing',
            'mailingSet_getMailingResponse' => '\\StructType\\MailingSet_getMailingResponse',
            'ArrayOfMailing' => '\\ArrayType\\ArrayOfMailing',
            'mailingSet_getMailings' => '\\StructType\\MailingSet_getMailings',
            'mailingSet_getMailingsResponse' => '\\StructType\\MailingSet_getMailingsResponse',
            'mailingSet_getMailingIds' => '\\StructType\\MailingSet_getMailingIds',
            'mailingSet_getMailingIdsResponse' => '\\StructType\\MailingSet_getMailingIdsResponse',
            'Click' => '\\StructType\\Click',
            'click_getById' => '\\StructType\\Click_getById',
            'click_getByIdResponse' => '\\StructType\\Click_getByIdResponse',
            'mailing_getComplaintSet' => '\\StructType\\Mailing_getComplaintSet',
            'mailing_getComplaintSetResponse' => '\\StructType\\Mailing_getComplaintSetResponse',
            'mailing_getDeliverySet' => '\\StructType\\Mailing_getDeliverySet',
            'mailing_getDeliverySetResponse' => '\\StructType\\Mailing_getDeliverySetResponse',
            'mailing_getByCampaignObjectId' => '\\StructType\\Mailing_getByCampaignObjectId',
            'mailing_getByCampaignObjectIdResponse' => '\\StructType\\Mailing_getByCampaignObjectIdResponse',
            'mailing_getByDate' => '\\StructType\\Mailing_getByDate',
            'mailing_getByDateResponse' => '\\StructType\\Mailing_getByDateResponse',
            'mailing_getAll' => '\\StructType\\Mailing_getAll',
            'mailing_getAllResponse' => '\\StructType\\Mailing_getAllResponse',
            'mailing_getById' => '\\StructType\\Mailing_getById',
            'mailing_getByIdResponse' => '\\StructType\\Mailing_getByIdResponse',
            'mailing_getQuickmails' => '\\StructType\\Mailing_getQuickmails',
            'mailing_getQuickmailsResponse' => '\\StructType\\Mailing_getQuickmailsResponse',
            'mailing_getQuickmailsByDate' => '\\StructType\\Mailing_getQuickmailsByDate',
            'mailing_getQuickmailsByDateResponse' => '\\StructType\\Mailing_getQuickmailsByDateResponse',
            'mailing_getOpenSet' => '\\StructType\\Mailing_getOpenSet',
            'mailing_getOpenSetResponse' => '\\StructType\\Mailing_getOpenSetResponse',
            'mailing_getBounceSet' => '\\StructType\\Mailing_getBounceSet',
            'mailing_getBounceSetResponse' => '\\StructType\\Mailing_getBounceSetResponse',
            'Bounce' => '\\StructType\\Bounce',
            'bounceSet_getBounce' => '\\StructType\\BounceSet_getBounce',
            'bounceSet_getBounceResponse' => '\\StructType\\BounceSet_getBounceResponse',
            'ArrayOfBounce' => '\\ArrayType\\ArrayOfBounce',
            'bounceSet_getBounces' => '\\StructType\\BounceSet_getBounces',
            'bounceSet_getBouncesResponse' => '\\StructType\\BounceSet_getBouncesResponse',
            'bounceSet_getBounceIds' => '\\StructType\\BounceSet_getBounceIds',
            'bounceSet_getBounceIdsResponse' => '\\StructType\\BounceSet_getBounceIdsResponse',
            'Complaint' => '\\StructType\\Complaint',
            'complaintSet_getComplaint' => '\\StructType\\ComplaintSet_getComplaint',
            'complaintSet_getComplaintResponse' => '\\StructType\\ComplaintSet_getComplaintResponse',
            'ArrayOfComplaint' => '\\ArrayType\\ArrayOfComplaint',
            'complaintSet_getComplaints' => '\\StructType\\ComplaintSet_getComplaints',
            'complaintSet_getComplaintsResponse' => '\\StructType\\ComplaintSet_getComplaintsResponse',
            'complaintSet_getComplaintIds' => '\\StructType\\ComplaintSet_getComplaintIds',
            'complaintSet_getComplaintIdsResponse' => '\\StructType\\ComplaintSet_getComplaintIdsResponse',
            'ArrayOfClick' => '\\ArrayType\\ArrayOfClick',
            'ArrayOfOpen' => '\\ArrayType\\ArrayOfOpen',
            'Delivery' => '\\StructType\\Delivery',
            'deliverySet_getDelivery' => '\\StructType\\DeliverySet_getDelivery',
            'deliverySet_getDeliveryResponse' => '\\StructType\\DeliverySet_getDeliveryResponse',
            'ArrayOfDelivery' => '\\ArrayType\\ArrayOfDelivery',
            'deliverySet_getDeliveries' => '\\StructType\\DeliverySet_getDeliveries',
            'deliverySet_getDeliveriesResponse' => '\\StructType\\DeliverySet_getDeliveriesResponse',
            'account_addToCustomer' => '\\StructType\\Account_addToCustomer',
            'account_addToCustomerResponse' => '\\StructType\\Account_addToCustomerResponse',
            'account_deleteFromCustomer' => '\\StructType\\Account_deleteFromCustomer',
            'account_deleteFromCustomerResponse' => '\\StructType\\Account_deleteFromCustomerResponse',
            'CampaignStatistics' => '\\StructType\\CampaignStatistics',
            'campaignStatistics_getByCampaignId' => '\\StructType\\CampaignStatistics_getByCampaignId',
            'campaignStatistics_getByCampaignIdResponse' => '\\StructType\\CampaignStatistics_getByCampaignIdResponse',
            'campaignStatistics_getCustomerSet' => '\\StructType\\CampaignStatistics_getCustomerSet',
            'campaignStatistics_getCustomerSetResponse' => '\\StructType\\CampaignStatistics_getCustomerSetResponse',
            'CampaignObjectStatisticsOption' => '\\StructType\\CampaignObjectStatisticsOption',
            'ArrayOfCampaignObjectStatisticsOption' => '\\ArrayType\\ArrayOfCampaignObjectStatisticsOption',
            'CampaignObjectStatistics' => '\\StructType\\CampaignObjectStatistics',
            'campaignObjectStatistics_getByCampaignObjectId' => '\\StructType\\CampaignObjectStatistics_getByCampaignObjectId',
            'campaignObjectStatistics_getByCampaignObjectIdResponse' => '\\StructType\\CampaignObjectStatistics_getByCampaignObjectIdResponse',
            'customer_insertBulkUnique' => '\\StructType\\Customer_insertBulkUnique',
            'customer_insertBulkUniqueResponse' => '\\StructType\\Customer_insertBulkUniqueResponse',
            'customer_create' => '\\StructType\\Customer_create',
            'customer_createResponse' => '\\StructType\\Customer_createResponse',
            'customer_insert' => '\\StructType\\Customer_insert',
            'customer_insertResponse' => '\\StructType\\Customer_insertResponse',
            'customer_update' => '\\StructType\\Customer_update',
            'customer_updateResponse' => '\\StructType\\Customer_updateResponse',
            'customer_insertUnique' => '\\StructType\\Customer_insertUnique',
            'customer_insertUniqueResponse' => '\\StructType\\Customer_insertUniqueResponse',
            'customer_getById' => '\\StructType\\Customer_getById',
            'customer_getByIdResponse' => '\\StructType\\Customer_getByIdResponse',
            'customer_getByAccountId' => '\\StructType\\Customer_getByAccountId',
            'customer_getByAccountIdResponse' => '\\StructType\\Customer_getByAccountIdResponse',
            'Group' => '\\StructType\\Group',
            'ArrayOfGroup' => '\\ArrayType\\ArrayOfGroup',
            'customer_getGroups' => '\\StructType\\Customer_getGroups',
            'customer_getGroupsResponse' => '\\StructType\\Customer_getGroupsResponse',
            'customer_getAll' => '\\StructType\\Customer_getAll',
            'customer_getAllResponse' => '\\StructType\\Customer_getAllResponse',
            'customer_getByObject' => '\\StructType\\Customer_getByObject',
            'customer_getByObjectResponse' => '\\StructType\\Customer_getByObjectResponse',
            'customer_getByEmailAddress' => '\\StructType\\Customer_getByEmailAddress',
            'customer_getByEmailAddressResponse' => '\\StructType\\Customer_getByEmailAddressResponse',
            'customer_getByMobilePhone' => '\\StructType\\Customer_getByMobilePhone',
            'customer_getByMobilePhoneResponse' => '\\StructType\\Customer_getByMobilePhoneResponse',
            'customer_getByExternalId' => '\\StructType\\Customer_getByExternalId',
            'customer_getByExternalIdResponse' => '\\StructType\\Customer_getByExternalIdResponse',
            'customer_getByUserNameAndPassword' => '\\StructType\\Customer_getByUserNameAndPassword',
            'customer_getByUserNameAndPasswordResponse' => '\\StructType\\Customer_getByUserNameAndPasswordResponse',
            'customer_delete' => '\\StructType\\Customer_delete',
            'customer_deleteResponse' => '\\StructType\\Customer_deleteResponse',
            'customer_getTotalNumberOfCustomers' => '\\StructType\\Customer_getTotalNumberOfCustomers',
            'customer_getTotalNumberOfCustomersResponse' => '\\StructType\\Customer_getTotalNumberOfCustomersResponse',
            'customer_upsert' => '\\StructType\\Customer_upsert',
            'customer_upsertResponse' => '\\StructType\\Customer_upsertResponse',
            'openSet_getOpen' => '\\StructType\\OpenSet_getOpen',
            'openSet_getOpenResponse' => '\\StructType\\OpenSet_getOpenResponse',
            'openSet_getOpens' => '\\StructType\\OpenSet_getOpens',
            'openSet_getOpensResponse' => '\\StructType\\OpenSet_getOpensResponse',
            'openSet_getOpenIds' => '\\StructType\\OpenSet_getOpenIds',
            'openSet_getOpenIdsResponse' => '\\StructType\\OpenSet_getOpenIdsResponse',
            'conversionTracking_track' => '\\StructType\\ConversionTracking_track',
            'conversionTracking_trackResponse' => '\\StructType\\ConversionTracking_trackResponse',
            'MagentoCreditMemoItem' => '\\StructType\\MagentoCreditMemoItem',
            'ArrayOfMagentoCreditMemoItem' => '\\ArrayType\\ArrayOfMagentoCreditMemoItem',
            'MagentoCreditMemo' => '\\StructType\\MagentoCreditMemo',
            'magentoCreditMemo_insert' => '\\StructType\\MagentoCreditMemo_insert',
            'magentoCreditMemo_insertResponse' => '\\StructType\\MagentoCreditMemo_insertResponse',
            'magentoCategory_create' => '\\StructType\\MagentoCategory_create',
            'magentoCategory_createResponse' => '\\StructType\\MagentoCategory_createResponse',
            'magentoCategory_upsert' => '\\StructType\\MagentoCategory_upsert',
            'magentoCategory_upsertResponse' => '\\StructType\\MagentoCategory_upsertResponse',
            'MagentoOrder' => '\\StructType\\MagentoOrder',
            'magentoOrder_update' => '\\StructType\\MagentoOrder_update',
            'magentoOrder_updateResponse' => '\\StructType\\MagentoOrder_updateResponse',
            'magentoOrder_create' => '\\StructType\\MagentoOrder_create',
            'magentoOrder_createResponse' => '\\StructType\\MagentoOrder_createResponse',
            'magentoOrder_insert' => '\\StructType\\MagentoOrder_insert',
            'magentoOrder_insertResponse' => '\\StructType\\MagentoOrder_insertResponse',
            'ArrayOfMagentoOrder' => '\\ArrayType\\ArrayOfMagentoOrder',
            'magentoOrder_insertBulk' => '\\StructType\\MagentoOrder_insertBulk',
            'magentoOrder_insertBulkResponse' => '\\StructType\\MagentoOrder_insertBulkResponse',
            'clickSet_getClick' => '\\StructType\\ClickSet_getClick',
            'clickSet_getClickResponse' => '\\StructType\\ClickSet_getClickResponse',
            'clickSet_getClicks' => '\\StructType\\ClickSet_getClicks',
            'clickSet_getClicksResponse' => '\\StructType\\ClickSet_getClicksResponse',
            'clickSet_getClickIds' => '\\StructType\\ClickSet_getClickIds',
            'clickSet_getClickIdsResponse' => '\\StructType\\ClickSet_getClickIdsResponse',
            'bounce_getById' => '\\StructType\\Bounce_getById',
            'bounce_getByIdResponse' => '\\StructType\\Bounce_getByIdResponse',
            'MagentoEmail' => '\\StructType\\MagentoEmail',
            'magentoEmail_insert' => '\\StructType\\MagentoEmail_insert',
            'magentoEmail_insertResponse' => '\\StructType\\MagentoEmail_insertResponse',
            'group_removeAllMembers' => '\\StructType\\Group_removeAllMembers',
            'group_removeAllMembersResponse' => '\\StructType\\Group_removeAllMembersResponse',
            'group_addMembersInBulk' => '\\StructType\\Group_addMembersInBulk',
            'group_addMembersInBulkResponse' => '\\StructType\\Group_addMembersInBulkResponse',
            'GroupMembership' => '\\StructType\\GroupMembership',
            'group_hasMember' => '\\StructType\\Group_hasMember',
            'group_hasMemberResponse' => '\\StructType\\Group_hasMemberResponse',
            'group_getById' => '\\StructType\\Group_getById',
            'group_getByIdResponse' => '\\StructType\\Group_getByIdResponse',
            'group_delete' => '\\StructType\\Group_delete',
            'group_deleteResponse' => '\\StructType\\Group_deleteResponse',
            'group_getMembers' => '\\StructType\\Group_getMembers',
            'group_getMembersResponse' => '\\StructType\\Group_getMembersResponse',
            'group_update' => '\\StructType\\Group_update',
            'group_updateResponse' => '\\StructType\\Group_updateResponse',
            'group_move' => '\\StructType\\Group_move',
            'group_moveResponse' => '\\StructType\\Group_moveResponse',
            'group_getParent' => '\\StructType\\Group_getParent',
            'group_getParentResponse' => '\\StructType\\Group_getParentResponse',
            'group_create' => '\\StructType\\Group_create',
            'group_createResponse' => '\\StructType\\Group_createResponse',
            'group_insert' => '\\StructType\\Group_insert',
            'group_insertResponse' => '\\StructType\\Group_insertResponse',
            'group_upsert' => '\\StructType\\Group_upsert',
            'group_upsertResponse' => '\\StructType\\Group_upsertResponse',
            'group_getByObject' => '\\StructType\\Group_getByObject',
            'group_getByObjectResponse' => '\\StructType\\Group_getByObjectResponse',
            'group_getAll' => '\\StructType\\Group_getAll',
            'group_getAllResponse' => '\\StructType\\Group_getAllResponse',
            'group_getChildren' => '\\StructType\\Group_getChildren',
            'group_getChildrenResponse' => '\\StructType\\Group_getChildrenResponse',
            'group_addMember' => '\\StructType\\Group_addMember',
            'group_addMemberResponse' => '\\StructType\\Group_addMemberResponse',
            'group_removeMember' => '\\StructType\\Group_removeMember',
            'group_removeMemberResponse' => '\\StructType\\Group_removeMemberResponse',
            'group_calculate' => '\\StructType\\Group_calculate',
            'group_calculateResponse' => '\\StructType\\Group_calculateResponse',
            'magento_customerInsertBulkUnique' => '\\StructType\\Magento_customerInsertBulkUnique',
            'magento_customerInsertBulkUniqueResponse' => '\\StructType\\Magento_customerInsertBulkUniqueResponse',
            'magento_customerInsertUnique' => '\\StructType\\Magento_customerInsertUnique',
            'magento_customerInsertUniqueResponse' => '\\StructType\\Magento_customerInsertUniqueResponse',
            'magento_getCampaigns' => '\\StructType\\Magento_getCampaigns',
            'magento_getCampaignsResponse' => '\\StructType\\Magento_getCampaignsResponse',
            'magento_getAvailableCustomerFields' => '\\StructType\\Magento_getAvailableCustomerFields',
            'magento_getAvailableCustomerFieldsResponse' => '\\StructType\\Magento_getAvailableCustomerFieldsResponse',
            'magento_testConnection' => '\\StructType\\Magento_testConnection',
            'magento_testConnectionResponse' => '\\StructType\\Magento_testConnectionResponse',
            'magento_executeAbandonedCart' => '\\StructType\\Magento_executeAbandonedCart',
            'magento_executeAbandonedCartResponse' => '\\StructType\\Magento_executeAbandonedCartResponse',
            'campaignObjectStatisticsOption_getCustomerSet' => '\\StructType\\CampaignObjectStatisticsOption_getCustomerSet',
            'campaignObjectStatisticsOption_getCustomerSetResponse' => '\\StructType\\CampaignObjectStatisticsOption_getCustomerSetResponse',
        );
    }
}
