<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Accountadd ServiceType
 * @subpackage Services
 */
class Accountadd extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named account_addToCustomer
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Account_addToCustomer $parameters
     * @return \StructType\Account_addToCustomerResponse|bool
     */
    public function account_addToCustomer(\StructType\Account_addToCustomer $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->account_addToCustomer($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Account_addToCustomerResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
