<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Magentoexecute ServiceType
 * @subpackage Services
 */
class Magentoexecute extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named magento_executeAbandonedCart
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Magento_executeAbandonedCart $parameters
     * @return \StructType\Magento_executeAbandonedCartResponse|bool
     */
    public function magento_executeAbandonedCart(\StructType\Magento_executeAbandonedCart $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->magento_executeAbandonedCart($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Magento_executeAbandonedCartResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
