<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CampaignObjectStatistics StructType
 * @subpackage Structs
 */
class CampaignObjectStatistics extends AbstractStructBase
{
    /**
     * The campaignId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $campaignId;
    /**
     * The campaignObjectId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $campaignObjectId;
    /**
     * The options
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfCampaignObjectStatisticsOption
     */
    public $options;
    /**
     * Constructor method for CampaignObjectStatistics
     * @uses CampaignObjectStatistics::setCampaignId()
     * @uses CampaignObjectStatistics::setCampaignObjectId()
     * @uses CampaignObjectStatistics::setOptions()
     * @param \StructType\Long $campaignId
     * @param \StructType\Long $campaignObjectId
     * @param \ArrayType\ArrayOfCampaignObjectStatisticsOption $options
     */
    public function __construct(\StructType\Long $campaignId = null, \StructType\Long $campaignObjectId = null, \ArrayType\ArrayOfCampaignObjectStatisticsOption $options = null)
    {
        $this
            ->setCampaignId($campaignId)
            ->setCampaignObjectId($campaignObjectId)
            ->setOptions($options);
    }
    /**
     * Get campaignId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCampaignId()
    {
        return isset($this->campaignId) ? $this->campaignId : null;
    }
    /**
     * Set campaignId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $campaignId
     * @return \StructType\CampaignObjectStatistics
     */
    public function setCampaignId(\StructType\Long $campaignId = null)
    {
        if (is_null($campaignId) || (is_array($campaignId) && empty($campaignId))) {
            unset($this->campaignId);
        } else {
            $this->campaignId = $campaignId;
        }
        return $this;
    }
    /**
     * Get campaignObjectId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCampaignObjectId()
    {
        return isset($this->campaignObjectId) ? $this->campaignObjectId : null;
    }
    /**
     * Set campaignObjectId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $campaignObjectId
     * @return \StructType\CampaignObjectStatistics
     */
    public function setCampaignObjectId(\StructType\Long $campaignObjectId = null)
    {
        if (is_null($campaignObjectId) || (is_array($campaignObjectId) && empty($campaignObjectId))) {
            unset($this->campaignObjectId);
        } else {
            $this->campaignObjectId = $campaignObjectId;
        }
        return $this;
    }
    /**
     * Get options value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfCampaignObjectStatisticsOption|null
     */
    public function getOptions()
    {
        return isset($this->options) ? $this->options : null;
    }
    /**
     * Set options value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfCampaignObjectStatisticsOption $options
     * @return \StructType\CampaignObjectStatistics
     */
    public function setOptions(\ArrayType\ArrayOfCampaignObjectStatisticsOption $options = null)
    {
        if (is_null($options) || (is_array($options) && empty($options))) {
            unset($this->options);
        } else {
            $this->options = $options;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CampaignObjectStatistics
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
