<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CampaignStatistics StructType
 * @subpackage Structs
 */
class CampaignStatistics extends AbstractStructBase
{
    /**
     * The smsableCustomers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $smsableCustomers;
    /**
     * The uniqueCustomers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $uniqueCustomers;
    /**
     * The mailableCustomers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $mailableCustomers;
    /**
     * The uniqueEmailAddresses
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $uniqueEmailAddresses;
    /**
     * The uniqueMobilePhoneNumbers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $uniqueMobilePhoneNumbers;
    /**
     * Constructor method for CampaignStatistics
     * @uses CampaignStatistics::setSmsableCustomers()
     * @uses CampaignStatistics::setUniqueCustomers()
     * @uses CampaignStatistics::setMailableCustomers()
     * @uses CampaignStatistics::setUniqueEmailAddresses()
     * @uses CampaignStatistics::setUniqueMobilePhoneNumbers()
     * @param \StructType\Long $smsableCustomers
     * @param \StructType\Long $uniqueCustomers
     * @param \StructType\Long $mailableCustomers
     * @param \StructType\Long $uniqueEmailAddresses
     * @param \StructType\Long $uniqueMobilePhoneNumbers
     */
    public function __construct(\StructType\Long $smsableCustomers = null, \StructType\Long $uniqueCustomers = null, \StructType\Long $mailableCustomers = null, \StructType\Long $uniqueEmailAddresses = null, \StructType\Long $uniqueMobilePhoneNumbers = null)
    {
        $this
            ->setSmsableCustomers($smsableCustomers)
            ->setUniqueCustomers($uniqueCustomers)
            ->setMailableCustomers($mailableCustomers)
            ->setUniqueEmailAddresses($uniqueEmailAddresses)
            ->setUniqueMobilePhoneNumbers($uniqueMobilePhoneNumbers);
    }
    /**
     * Get smsableCustomers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getSmsableCustomers()
    {
        return isset($this->smsableCustomers) ? $this->smsableCustomers : null;
    }
    /**
     * Set smsableCustomers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $smsableCustomers
     * @return \StructType\CampaignStatistics
     */
    public function setSmsableCustomers(\StructType\Long $smsableCustomers = null)
    {
        if (is_null($smsableCustomers) || (is_array($smsableCustomers) && empty($smsableCustomers))) {
            unset($this->smsableCustomers);
        } else {
            $this->smsableCustomers = $smsableCustomers;
        }
        return $this;
    }
    /**
     * Get uniqueCustomers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getUniqueCustomers()
    {
        return isset($this->uniqueCustomers) ? $this->uniqueCustomers : null;
    }
    /**
     * Set uniqueCustomers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $uniqueCustomers
     * @return \StructType\CampaignStatistics
     */
    public function setUniqueCustomers(\StructType\Long $uniqueCustomers = null)
    {
        if (is_null($uniqueCustomers) || (is_array($uniqueCustomers) && empty($uniqueCustomers))) {
            unset($this->uniqueCustomers);
        } else {
            $this->uniqueCustomers = $uniqueCustomers;
        }
        return $this;
    }
    /**
     * Get mailableCustomers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getMailableCustomers()
    {
        return isset($this->mailableCustomers) ? $this->mailableCustomers : null;
    }
    /**
     * Set mailableCustomers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $mailableCustomers
     * @return \StructType\CampaignStatistics
     */
    public function setMailableCustomers(\StructType\Long $mailableCustomers = null)
    {
        if (is_null($mailableCustomers) || (is_array($mailableCustomers) && empty($mailableCustomers))) {
            unset($this->mailableCustomers);
        } else {
            $this->mailableCustomers = $mailableCustomers;
        }
        return $this;
    }
    /**
     * Get uniqueEmailAddresses value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getUniqueEmailAddresses()
    {
        return isset($this->uniqueEmailAddresses) ? $this->uniqueEmailAddresses : null;
    }
    /**
     * Set uniqueEmailAddresses value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $uniqueEmailAddresses
     * @return \StructType\CampaignStatistics
     */
    public function setUniqueEmailAddresses(\StructType\Long $uniqueEmailAddresses = null)
    {
        if (is_null($uniqueEmailAddresses) || (is_array($uniqueEmailAddresses) && empty($uniqueEmailAddresses))) {
            unset($this->uniqueEmailAddresses);
        } else {
            $this->uniqueEmailAddresses = $uniqueEmailAddresses;
        }
        return $this;
    }
    /**
     * Get uniqueMobilePhoneNumbers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getUniqueMobilePhoneNumbers()
    {
        return isset($this->uniqueMobilePhoneNumbers) ? $this->uniqueMobilePhoneNumbers : null;
    }
    /**
     * Set uniqueMobilePhoneNumbers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $uniqueMobilePhoneNumbers
     * @return \StructType\CampaignStatistics
     */
    public function setUniqueMobilePhoneNumbers(\StructType\Long $uniqueMobilePhoneNumbers = null)
    {
        if (is_null($uniqueMobilePhoneNumbers) || (is_array($uniqueMobilePhoneNumbers) && empty($uniqueMobilePhoneNumbers))) {
            unset($this->uniqueMobilePhoneNumbers);
        } else {
            $this->uniqueMobilePhoneNumbers = $uniqueMobilePhoneNumbers;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CampaignStatistics
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
