<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Complaint StructType
 * @subpackage Structs
 */
class Complaint extends AbstractStructBase
{
    /**
     * The feedbackloop
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $feedbackloop;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $id;
    /**
     * The customerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $customerId;
    /**
     * The mailingId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $mailingId;
    /**
     * The complaintAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $complaintAt;
    /**
     * Constructor method for Complaint
     * @uses Complaint::setFeedbackloop()
     * @uses Complaint::setId()
     * @uses Complaint::setCustomerId()
     * @uses Complaint::setMailingId()
     * @uses Complaint::setComplaintAt()
     * @param \StructType\_string $feedbackloop
     * @param \StructType\Long $id
     * @param \StructType\Long $customerId
     * @param \StructType\Long $mailingId
     * @param \StructType\_string $complaintAt
     */
    public function __construct(\StructType\_string $feedbackloop = null, \StructType\Long $id = null, \StructType\Long $customerId = null, \StructType\Long $mailingId = null, \StructType\_string $complaintAt = null)
    {
        $this
            ->setFeedbackloop($feedbackloop)
            ->setId($id)
            ->setCustomerId($customerId)
            ->setMailingId($mailingId)
            ->setComplaintAt($complaintAt);
    }
    /**
     * Get feedbackloop value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getFeedbackloop()
    {
        return isset($this->feedbackloop) ? $this->feedbackloop : null;
    }
    /**
     * Set feedbackloop value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $feedbackloop
     * @return \StructType\Complaint
     */
    public function setFeedbackloop(\StructType\_string $feedbackloop = null)
    {
        if (is_null($feedbackloop) || (is_array($feedbackloop) && empty($feedbackloop))) {
            unset($this->feedbackloop);
        } else {
            $this->feedbackloop = $feedbackloop;
        }
        return $this;
    }
    /**
     * Get id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getId()
    {
        return isset($this->id) ? $this->id : null;
    }
    /**
     * Set id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $id
     * @return \StructType\Complaint
     */
    public function setId(\StructType\Long $id = null)
    {
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->id);
        } else {
            $this->id = $id;
        }
        return $this;
    }
    /**
     * Get customerId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCustomerId()
    {
        return isset($this->customerId) ? $this->customerId : null;
    }
    /**
     * Set customerId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $customerId
     * @return \StructType\Complaint
     */
    public function setCustomerId(\StructType\Long $customerId = null)
    {
        if (is_null($customerId) || (is_array($customerId) && empty($customerId))) {
            unset($this->customerId);
        } else {
            $this->customerId = $customerId;
        }
        return $this;
    }
    /**
     * Get mailingId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getMailingId()
    {
        return isset($this->mailingId) ? $this->mailingId : null;
    }
    /**
     * Set mailingId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $mailingId
     * @return \StructType\Complaint
     */
    public function setMailingId(\StructType\Long $mailingId = null)
    {
        if (is_null($mailingId) || (is_array($mailingId) && empty($mailingId))) {
            unset($this->mailingId);
        } else {
            $this->mailingId = $mailingId;
        }
        return $this;
    }
    /**
     * Get complaintAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getComplaintAt()
    {
        return isset($this->complaintAt) ? $this->complaintAt : null;
    }
    /**
     * Set complaintAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $complaintAt
     * @return \StructType\Complaint
     */
    public function setComplaintAt(\StructType\_string $complaintAt = null)
    {
        if (is_null($complaintAt) || (is_array($complaintAt) && empty($complaintAt))) {
            unset($this->complaintAt);
        } else {
            $this->complaintAt = $complaintAt;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Complaint
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
