<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for customer_insertBulkUnique StructType
 * @subpackage Structs
 */
class Customer_insertBulkUnique extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The customers
     * @var \ArrayType\ArrayOfCustomer
     */
    public $customers;
    /**
     * The uniqueCustomerFields
     * @var \ArrayType\ArrayOfString
     */
    public $uniqueCustomerFields;
    /**
     * The uniqueOptionFields
     * @var \ArrayType\ArrayOfString
     */
    public $uniqueOptionFields;
    /**
     * Constructor method for customer_insertBulkUnique
     * @uses Customer_insertBulkUnique::setUuid()
     * @uses Customer_insertBulkUnique::setCustomers()
     * @uses Customer_insertBulkUnique::setUniqueCustomerFields()
     * @uses Customer_insertBulkUnique::setUniqueOptionFields()
     * @param \StructType\_string $uuid
     * @param \ArrayType\ArrayOfCustomer $customers
     * @param \ArrayType\ArrayOfString $uniqueCustomerFields
     * @param \ArrayType\ArrayOfString $uniqueOptionFields
     */
    public function __construct(\StructType\_string $uuid = null, \ArrayType\ArrayOfCustomer $customers = null, \ArrayType\ArrayOfString $uniqueCustomerFields = null, \ArrayType\ArrayOfString $uniqueOptionFields = null)
    {
        $this
            ->setUuid($uuid)
            ->setCustomers($customers)
            ->setUniqueCustomerFields($uniqueCustomerFields)
            ->setUniqueOptionFields($uniqueOptionFields);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Customer_insertBulkUnique
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get customers value
     * @return \ArrayType\ArrayOfCustomer|null
     */
    public function getCustomers()
    {
        return $this->customers;
    }
    /**
     * Set customers value
     * @param \ArrayType\ArrayOfCustomer $customers
     * @return \StructType\Customer_insertBulkUnique
     */
    public function setCustomers(\ArrayType\ArrayOfCustomer $customers = null)
    {
        $this->customers = $customers;
        return $this;
    }
    /**
     * Get uniqueCustomerFields value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getUniqueCustomerFields()
    {
        return $this->uniqueCustomerFields;
    }
    /**
     * Set uniqueCustomerFields value
     * @param \ArrayType\ArrayOfString $uniqueCustomerFields
     * @return \StructType\Customer_insertBulkUnique
     */
    public function setUniqueCustomerFields(\ArrayType\ArrayOfString $uniqueCustomerFields = null)
    {
        $this->uniqueCustomerFields = $uniqueCustomerFields;
        return $this;
    }
    /**
     * Get uniqueOptionFields value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getUniqueOptionFields()
    {
        return $this->uniqueOptionFields;
    }
    /**
     * Set uniqueOptionFields value
     * @param \ArrayType\ArrayOfString $uniqueOptionFields
     * @return \StructType\Customer_insertBulkUnique
     */
    public function setUniqueOptionFields(\ArrayType\ArrayOfString $uniqueOptionFields = null)
    {
        $this->uniqueOptionFields = $uniqueOptionFields;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Customer_insertBulkUnique
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
