<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for customer_insertUnique StructType
 * @subpackage Structs
 */
class Customer_insertUnique extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The customer
     * @var \StructType\Customer
     */
    public $customer;
    /**
     * The uniqueCustomerFields
     * @var \ArrayType\ArrayOfString
     */
    public $uniqueCustomerFields;
    /**
     * The uniqueOptionFields
     * @var \ArrayType\ArrayOfString
     */
    public $uniqueOptionFields;
    /**
     * Constructor method for customer_insertUnique
     * @uses Customer_insertUnique::setUuid()
     * @uses Customer_insertUnique::setCustomer()
     * @uses Customer_insertUnique::setUniqueCustomerFields()
     * @uses Customer_insertUnique::setUniqueOptionFields()
     * @param \StructType\_string $uuid
     * @param \StructType\Customer $customer
     * @param \ArrayType\ArrayOfString $uniqueCustomerFields
     * @param \ArrayType\ArrayOfString $uniqueOptionFields
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Customer $customer = null, \ArrayType\ArrayOfString $uniqueCustomerFields = null, \ArrayType\ArrayOfString $uniqueOptionFields = null)
    {
        $this
            ->setUuid($uuid)
            ->setCustomer($customer)
            ->setUniqueCustomerFields($uniqueCustomerFields)
            ->setUniqueOptionFields($uniqueOptionFields);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Customer_insertUnique
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get customer value
     * @return \StructType\Customer|null
     */
    public function getCustomer()
    {
        return $this->customer;
    }
    /**
     * Set customer value
     * @param \StructType\Customer $customer
     * @return \StructType\Customer_insertUnique
     */
    public function setCustomer(\StructType\Customer $customer = null)
    {
        $this->customer = $customer;
        return $this;
    }
    /**
     * Get uniqueCustomerFields value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getUniqueCustomerFields()
    {
        return $this->uniqueCustomerFields;
    }
    /**
     * Set uniqueCustomerFields value
     * @param \ArrayType\ArrayOfString $uniqueCustomerFields
     * @return \StructType\Customer_insertUnique
     */
    public function setUniqueCustomerFields(\ArrayType\ArrayOfString $uniqueCustomerFields = null)
    {
        $this->uniqueCustomerFields = $uniqueCustomerFields;
        return $this;
    }
    /**
     * Get uniqueOptionFields value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getUniqueOptionFields()
    {
        return $this->uniqueOptionFields;
    }
    /**
     * Set uniqueOptionFields value
     * @param \ArrayType\ArrayOfString $uniqueOptionFields
     * @return \StructType\Customer_insertUnique
     */
    public function setUniqueOptionFields(\ArrayType\ArrayOfString $uniqueOptionFields = null)
    {
        $this->uniqueOptionFields = $uniqueOptionFields;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Customer_insertUnique
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
