<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for email_getByObject StructType
 * @subpackage Structs
 */
class Email_getByObject extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The email
     * @var \StructType\Email
     */
    public $email;
    /**
     * Constructor method for email_getByObject
     * @uses Email_getByObject::setUuid()
     * @uses Email_getByObject::setEmail()
     * @param \StructType\_string $uuid
     * @param \StructType\Email $email
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Email $email = null)
    {
        $this
            ->setUuid($uuid)
            ->setEmail($email);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Email_getByObject
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get email value
     * @return \StructType\Email|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param \StructType\Email $email
     * @return \StructType\Email_getByObject
     */
    public function setEmail(\StructType\Email $email = null)
    {
        $this->email = $email;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Email_getByObject
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
