<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for email_sendToCustomer StructType
 * @subpackage Structs
 */
class Email_sendToCustomer extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The emailId
     * @var \StructType\Long
     */
    public $emailId;
    /**
     * The customerId
     * @var \StructType\Long
     */
    public $customerId;
    /**
     * The manualOptions
     * @var \ArrayType\ArrayOfOption
     */
    public $manualOptions;
    /**
     * The options
     * @var \ArrayType\ArrayOfOption
     */
    public $options;
    /**
     * Constructor method for email_sendToCustomer
     * @uses Email_sendToCustomer::setUuid()
     * @uses Email_sendToCustomer::setEmailId()
     * @uses Email_sendToCustomer::setCustomerId()
     * @uses Email_sendToCustomer::setManualOptions()
     * @uses Email_sendToCustomer::setOptions()
     * @param \StructType\_string $uuid
     * @param \StructType\Long $emailId
     * @param \StructType\Long $customerId
     * @param \ArrayType\ArrayOfOption $manualOptions
     * @param \ArrayType\ArrayOfOption $options
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Long $emailId = null, \StructType\Long $customerId = null, \ArrayType\ArrayOfOption $manualOptions = null, \ArrayType\ArrayOfOption $options = null)
    {
        $this
            ->setUuid($uuid)
            ->setEmailId($emailId)
            ->setCustomerId($customerId)
            ->setManualOptions($manualOptions)
            ->setOptions($options);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Email_sendToCustomer
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get emailId value
     * @return \StructType\Long|null
     */
    public function getEmailId()
    {
        return $this->emailId;
    }
    /**
     * Set emailId value
     * @param \StructType\Long $emailId
     * @return \StructType\Email_sendToCustomer
     */
    public function setEmailId(\StructType\Long $emailId = null)
    {
        $this->emailId = $emailId;
        return $this;
    }
    /**
     * Get customerId value
     * @return \StructType\Long|null
     */
    public function getCustomerId()
    {
        return $this->customerId;
    }
    /**
     * Set customerId value
     * @param \StructType\Long $customerId
     * @return \StructType\Email_sendToCustomer
     */
    public function setCustomerId(\StructType\Long $customerId = null)
    {
        $this->customerId = $customerId;
        return $this;
    }
    /**
     * Get manualOptions value
     * @return \ArrayType\ArrayOfOption|null
     */
    public function getManualOptions()
    {
        return $this->manualOptions;
    }
    /**
     * Set manualOptions value
     * @param \ArrayType\ArrayOfOption $manualOptions
     * @return \StructType\Email_sendToCustomer
     */
    public function setManualOptions(\ArrayType\ArrayOfOption $manualOptions = null)
    {
        $this->manualOptions = $manualOptions;
        return $this;
    }
    /**
     * Get options value
     * @return \ArrayType\ArrayOfOption|null
     */
    public function getOptions()
    {
        return $this->options;
    }
    /**
     * Set options value
     * @param \ArrayType\ArrayOfOption $options
     * @return \StructType\Email_sendToCustomer
     */
    public function setOptions(\ArrayType\ArrayOfOption $options = null)
    {
        $this->options = $options;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Email_sendToCustomer
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
