<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for email_sendToProfile StructType
 * @subpackage Structs
 */
class Email_sendToProfile extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The emailId
     * @var \StructType\Long
     */
    public $emailId;
    /**
     * The profileId
     * @var \StructType\Long
     */
    public $profileId;
    /**
     * The manualOptions
     * @var \ArrayType\ArrayOfOption
     */
    public $manualOptions;
    /**
     * The options
     * @var \ArrayType\ArrayOfOption
     */
    public $options;
    /**
     * Constructor method for email_sendToProfile
     * @uses Email_sendToProfile::setUuid()
     * @uses Email_sendToProfile::setEmailId()
     * @uses Email_sendToProfile::setProfileId()
     * @uses Email_sendToProfile::setManualOptions()
     * @uses Email_sendToProfile::setOptions()
     * @param \StructType\_string $uuid
     * @param \StructType\Long $emailId
     * @param \StructType\Long $profileId
     * @param \ArrayType\ArrayOfOption $manualOptions
     * @param \ArrayType\ArrayOfOption $options
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Long $emailId = null, \StructType\Long $profileId = null, \ArrayType\ArrayOfOption $manualOptions = null, \ArrayType\ArrayOfOption $options = null)
    {
        $this
            ->setUuid($uuid)
            ->setEmailId($emailId)
            ->setProfileId($profileId)
            ->setManualOptions($manualOptions)
            ->setOptions($options);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Email_sendToProfile
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get emailId value
     * @return \StructType\Long|null
     */
    public function getEmailId()
    {
        return $this->emailId;
    }
    /**
     * Set emailId value
     * @param \StructType\Long $emailId
     * @return \StructType\Email_sendToProfile
     */
    public function setEmailId(\StructType\Long $emailId = null)
    {
        $this->emailId = $emailId;
        return $this;
    }
    /**
     * Get profileId value
     * @return \StructType\Long|null
     */
    public function getProfileId()
    {
        return $this->profileId;
    }
    /**
     * Set profileId value
     * @param \StructType\Long $profileId
     * @return \StructType\Email_sendToProfile
     */
    public function setProfileId(\StructType\Long $profileId = null)
    {
        $this->profileId = $profileId;
        return $this;
    }
    /**
     * Get manualOptions value
     * @return \ArrayType\ArrayOfOption|null
     */
    public function getManualOptions()
    {
        return $this->manualOptions;
    }
    /**
     * Set manualOptions value
     * @param \ArrayType\ArrayOfOption $manualOptions
     * @return \StructType\Email_sendToProfile
     */
    public function setManualOptions(\ArrayType\ArrayOfOption $manualOptions = null)
    {
        $this->manualOptions = $manualOptions;
        return $this;
    }
    /**
     * Get options value
     * @return \ArrayType\ArrayOfOption|null
     */
    public function getOptions()
    {
        return $this->options;
    }
    /**
     * Set options value
     * @param \ArrayType\ArrayOfOption $options
     * @return \StructType\Email_sendToProfile
     */
    public function setOptions(\ArrayType\ArrayOfOption $options = null)
    {
        $this->options = $options;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Email_sendToProfile
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
