<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Group StructType
 * @subpackage Structs
 */
class Group extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $id;
    /**
     * The parentId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $parentId;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $description;
    /**
     * The createdBy
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $createdBy;
    /**
     * The createdAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $createdAt;
    /**
     * The modifiedBy
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $modifiedBy;
    /**
     * The modifiedAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $modifiedAt;
    /**
     * The countDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $countDate;
    /**
     * The customerCountRecursive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $customerCountRecursive;
    /**
     * The customerCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $customerCount;
    /**
     * Constructor method for Group
     * @uses Group::setId()
     * @uses Group::setParentId()
     * @uses Group::setName()
     * @uses Group::setDescription()
     * @uses Group::setCreatedBy()
     * @uses Group::setCreatedAt()
     * @uses Group::setModifiedBy()
     * @uses Group::setModifiedAt()
     * @uses Group::setCountDate()
     * @uses Group::setCustomerCountRecursive()
     * @uses Group::setCustomerCount()
     * @param \StructType\Long $id
     * @param \StructType\Long $parentId
     * @param \StructType\_string $name
     * @param \StructType\_string $description
     * @param \StructType\_string $createdBy
     * @param \StructType\_string $createdAt
     * @param \StructType\_string $modifiedBy
     * @param \StructType\_string $modifiedAt
     * @param \StructType\_string $countDate
     * @param \StructType\Long $customerCountRecursive
     * @param \StructType\Long $customerCount
     */
    public function __construct(\StructType\Long $id = null, \StructType\Long $parentId = null, \StructType\_string $name = null, \StructType\_string $description = null, \StructType\_string $createdBy = null, \StructType\_string $createdAt = null, \StructType\_string $modifiedBy = null, \StructType\_string $modifiedAt = null, \StructType\_string $countDate = null, \StructType\Long $customerCountRecursive = null, \StructType\Long $customerCount = null)
    {
        $this
            ->setId($id)
            ->setParentId($parentId)
            ->setName($name)
            ->setDescription($description)
            ->setCreatedBy($createdBy)
            ->setCreatedAt($createdAt)
            ->setModifiedBy($modifiedBy)
            ->setModifiedAt($modifiedAt)
            ->setCountDate($countDate)
            ->setCustomerCountRecursive($customerCountRecursive)
            ->setCustomerCount($customerCount);
    }
    /**
     * Get id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getId()
    {
        return isset($this->id) ? $this->id : null;
    }
    /**
     * Set id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $id
     * @return \StructType\Group
     */
    public function setId(\StructType\Long $id = null)
    {
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->id);
        } else {
            $this->id = $id;
        }
        return $this;
    }
    /**
     * Get parentId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getParentId()
    {
        return isset($this->parentId) ? $this->parentId : null;
    }
    /**
     * Set parentId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $parentId
     * @return \StructType\Group
     */
    public function setParentId(\StructType\Long $parentId = null)
    {
        if (is_null($parentId) || (is_array($parentId) && empty($parentId))) {
            unset($this->parentId);
        } else {
            $this->parentId = $parentId;
        }
        return $this;
    }
    /**
     * Get name value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getName()
    {
        return isset($this->name) ? $this->name : null;
    }
    /**
     * Set name value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $name
     * @return \StructType\Group
     */
    public function setName(\StructType\_string $name = null)
    {
        if (is_null($name) || (is_array($name) && empty($name))) {
            unset($this->name);
        } else {
            $this->name = $name;
        }
        return $this;
    }
    /**
     * Get description value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getDescription()
    {
        return isset($this->description) ? $this->description : null;
    }
    /**
     * Set description value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $description
     * @return \StructType\Group
     */
    public function setDescription(\StructType\_string $description = null)
    {
        if (is_null($description) || (is_array($description) && empty($description))) {
            unset($this->description);
        } else {
            $this->description = $description;
        }
        return $this;
    }
    /**
     * Get createdBy value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getCreatedBy()
    {
        return isset($this->createdBy) ? $this->createdBy : null;
    }
    /**
     * Set createdBy value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $createdBy
     * @return \StructType\Group
     */
    public function setCreatedBy(\StructType\_string $createdBy = null)
    {
        if (is_null($createdBy) || (is_array($createdBy) && empty($createdBy))) {
            unset($this->createdBy);
        } else {
            $this->createdBy = $createdBy;
        }
        return $this;
    }
    /**
     * Get createdAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getCreatedAt()
    {
        return isset($this->createdAt) ? $this->createdAt : null;
    }
    /**
     * Set createdAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $createdAt
     * @return \StructType\Group
     */
    public function setCreatedAt(\StructType\_string $createdAt = null)
    {
        if (is_null($createdAt) || (is_array($createdAt) && empty($createdAt))) {
            unset($this->createdAt);
        } else {
            $this->createdAt = $createdAt;
        }
        return $this;
    }
    /**
     * Get modifiedBy value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getModifiedBy()
    {
        return isset($this->modifiedBy) ? $this->modifiedBy : null;
    }
    /**
     * Set modifiedBy value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $modifiedBy
     * @return \StructType\Group
     */
    public function setModifiedBy(\StructType\_string $modifiedBy = null)
    {
        if (is_null($modifiedBy) || (is_array($modifiedBy) && empty($modifiedBy))) {
            unset($this->modifiedBy);
        } else {
            $this->modifiedBy = $modifiedBy;
        }
        return $this;
    }
    /**
     * Get modifiedAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getModifiedAt()
    {
        return isset($this->modifiedAt) ? $this->modifiedAt : null;
    }
    /**
     * Set modifiedAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $modifiedAt
     * @return \StructType\Group
     */
    public function setModifiedAt(\StructType\_string $modifiedAt = null)
    {
        if (is_null($modifiedAt) || (is_array($modifiedAt) && empty($modifiedAt))) {
            unset($this->modifiedAt);
        } else {
            $this->modifiedAt = $modifiedAt;
        }
        return $this;
    }
    /**
     * Get countDate value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getCountDate()
    {
        return isset($this->countDate) ? $this->countDate : null;
    }
    /**
     * Set countDate value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $countDate
     * @return \StructType\Group
     */
    public function setCountDate(\StructType\_string $countDate = null)
    {
        if (is_null($countDate) || (is_array($countDate) && empty($countDate))) {
            unset($this->countDate);
        } else {
            $this->countDate = $countDate;
        }
        return $this;
    }
    /**
     * Get customerCountRecursive value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCustomerCountRecursive()
    {
        return isset($this->customerCountRecursive) ? $this->customerCountRecursive : null;
    }
    /**
     * Set customerCountRecursive value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $customerCountRecursive
     * @return \StructType\Group
     */
    public function setCustomerCountRecursive(\StructType\Long $customerCountRecursive = null)
    {
        if (is_null($customerCountRecursive) || (is_array($customerCountRecursive) && empty($customerCountRecursive))) {
            unset($this->customerCountRecursive);
        } else {
            $this->customerCountRecursive = $customerCountRecursive;
        }
        return $this;
    }
    /**
     * Get customerCount value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCustomerCount()
    {
        return isset($this->customerCount) ? $this->customerCount : null;
    }
    /**
     * Set customerCount value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $customerCount
     * @return \StructType\Group
     */
    public function setCustomerCount(\StructType\Long $customerCount = null)
    {
        if (is_null($customerCount) || (is_array($customerCount) && empty($customerCount))) {
            unset($this->customerCount);
        } else {
            $this->customerCount = $customerCount;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Group
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
