<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GroupMembership StructType
 * @subpackage Structs
 */
class GroupMembership extends AbstractStructBase
{
    /**
     * The groupId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $groupId;
    /**
     * The customerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $customerId;
    /**
     * The isMember
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Boolean
     */
    public $isMember;
    /**
     * The startedAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $startedAt;
    /**
     * Constructor method for GroupMembership
     * @uses GroupMembership::setGroupId()
     * @uses GroupMembership::setCustomerId()
     * @uses GroupMembership::setIsMember()
     * @uses GroupMembership::setStartedAt()
     * @param \StructType\Long $groupId
     * @param \StructType\Long $customerId
     * @param \StructType\Boolean $isMember
     * @param \StructType\_string $startedAt
     */
    public function __construct(\StructType\Long $groupId = null, \StructType\Long $customerId = null, \StructType\Boolean $isMember = null, \StructType\_string $startedAt = null)
    {
        $this
            ->setGroupId($groupId)
            ->setCustomerId($customerId)
            ->setIsMember($isMember)
            ->setStartedAt($startedAt);
    }
    /**
     * Get groupId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getGroupId()
    {
        return isset($this->groupId) ? $this->groupId : null;
    }
    /**
     * Set groupId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $groupId
     * @return \StructType\GroupMembership
     */
    public function setGroupId(\StructType\Long $groupId = null)
    {
        if (is_null($groupId) || (is_array($groupId) && empty($groupId))) {
            unset($this->groupId);
        } else {
            $this->groupId = $groupId;
        }
        return $this;
    }
    /**
     * Get customerId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCustomerId()
    {
        return isset($this->customerId) ? $this->customerId : null;
    }
    /**
     * Set customerId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $customerId
     * @return \StructType\GroupMembership
     */
    public function setCustomerId(\StructType\Long $customerId = null)
    {
        if (is_null($customerId) || (is_array($customerId) && empty($customerId))) {
            unset($this->customerId);
        } else {
            $this->customerId = $customerId;
        }
        return $this;
    }
    /**
     * Get isMember value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Boolean|null
     */
    public function getIsMember()
    {
        return isset($this->isMember) ? $this->isMember : null;
    }
    /**
     * Set isMember value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Boolean $isMember
     * @return \StructType\GroupMembership
     */
    public function setIsMember(\StructType\Boolean $isMember = null)
    {
        if (is_null($isMember) || (is_array($isMember) && empty($isMember))) {
            unset($this->isMember);
        } else {
            $this->isMember = $isMember;
        }
        return $this;
    }
    /**
     * Get startedAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getStartedAt()
    {
        return isset($this->startedAt) ? $this->startedAt : null;
    }
    /**
     * Set startedAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $startedAt
     * @return \StructType\GroupMembership
     */
    public function setStartedAt(\StructType\_string $startedAt = null)
    {
        if (is_null($startedAt) || (is_array($startedAt) && empty($startedAt))) {
            unset($this->startedAt);
        } else {
            $this->startedAt = $startedAt;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GroupMembership
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
