<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for group_addMembersInBulk StructType
 * @subpackage Structs
 */
class Group_addMembersInBulk extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The group
     * @var \StructType\Group
     */
    public $group;
    /**
     * The customers
     * @var \ArrayType\ArrayOfCustomer
     */
    public $customers;
    /**
     * Constructor method for group_addMembersInBulk
     * @uses Group_addMembersInBulk::setUuid()
     * @uses Group_addMembersInBulk::setGroup()
     * @uses Group_addMembersInBulk::setCustomers()
     * @param \StructType\_string $uuid
     * @param \StructType\Group $group
     * @param \ArrayType\ArrayOfCustomer $customers
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Group $group = null, \ArrayType\ArrayOfCustomer $customers = null)
    {
        $this
            ->setUuid($uuid)
            ->setGroup($group)
            ->setCustomers($customers);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Group_addMembersInBulk
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get group value
     * @return \StructType\Group|null
     */
    public function getGroup()
    {
        return $this->group;
    }
    /**
     * Set group value
     * @param \StructType\Group $group
     * @return \StructType\Group_addMembersInBulk
     */
    public function setGroup(\StructType\Group $group = null)
    {
        $this->group = $group;
        return $this;
    }
    /**
     * Get customers value
     * @return \ArrayType\ArrayOfCustomer|null
     */
    public function getCustomers()
    {
        return $this->customers;
    }
    /**
     * Set customers value
     * @param \ArrayType\ArrayOfCustomer $customers
     * @return \StructType\Group_addMembersInBulk
     */
    public function setCustomers(\ArrayType\ArrayOfCustomer $customers = null)
    {
        $this->customers = $customers;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Group_addMembersInBulk
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
