<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for group_getMembers StructType
 * @subpackage Structs
 */
class Group_getMembers extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The groupId
     * @var \StructType\Long
     */
    public $groupId;
    /**
     * The recursive
     * @var \StructType\Boolean
     */
    public $recursive;
    /**
     * Constructor method for group_getMembers
     * @uses Group_getMembers::setUuid()
     * @uses Group_getMembers::setGroupId()
     * @uses Group_getMembers::setRecursive()
     * @param \StructType\_string $uuid
     * @param \StructType\Long $groupId
     * @param \StructType\Boolean $recursive
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Long $groupId = null, \StructType\Boolean $recursive = null)
    {
        $this
            ->setUuid($uuid)
            ->setGroupId($groupId)
            ->setRecursive($recursive);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Group_getMembers
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get groupId value
     * @return \StructType\Long|null
     */
    public function getGroupId()
    {
        return $this->groupId;
    }
    /**
     * Set groupId value
     * @param \StructType\Long $groupId
     * @return \StructType\Group_getMembers
     */
    public function setGroupId(\StructType\Long $groupId = null)
    {
        $this->groupId = $groupId;
        return $this;
    }
    /**
     * Get recursive value
     * @return \StructType\Boolean|null
     */
    public function getRecursive()
    {
        return $this->recursive;
    }
    /**
     * Set recursive value
     * @param \StructType\Boolean $recursive
     * @return \StructType\Group_getMembers
     */
    public function setRecursive(\StructType\Boolean $recursive = null)
    {
        $this->recursive = $recursive;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Group_getMembers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
