<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for group_hasMember StructType
 * @subpackage Structs
 */
class Group_hasMember extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The groupId
     * @var \StructType\Long
     */
    public $groupId;
    /**
     * The customerId
     * @var \StructType\Long
     */
    public $customerId;
    /**
     * The includeSubGroups
     * @var \StructType\Boolean
     */
    public $includeSubGroups;
    /**
     * Constructor method for group_hasMember
     * @uses Group_hasMember::setUuid()
     * @uses Group_hasMember::setGroupId()
     * @uses Group_hasMember::setCustomerId()
     * @uses Group_hasMember::setIncludeSubGroups()
     * @param \StructType\_string $uuid
     * @param \StructType\Long $groupId
     * @param \StructType\Long $customerId
     * @param \StructType\Boolean $includeSubGroups
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Long $groupId = null, \StructType\Long $customerId = null, \StructType\Boolean $includeSubGroups = null)
    {
        $this
            ->setUuid($uuid)
            ->setGroupId($groupId)
            ->setCustomerId($customerId)
            ->setIncludeSubGroups($includeSubGroups);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Group_hasMember
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get groupId value
     * @return \StructType\Long|null
     */
    public function getGroupId()
    {
        return $this->groupId;
    }
    /**
     * Set groupId value
     * @param \StructType\Long $groupId
     * @return \StructType\Group_hasMember
     */
    public function setGroupId(\StructType\Long $groupId = null)
    {
        $this->groupId = $groupId;
        return $this;
    }
    /**
     * Get customerId value
     * @return \StructType\Long|null
     */
    public function getCustomerId()
    {
        return $this->customerId;
    }
    /**
     * Set customerId value
     * @param \StructType\Long $customerId
     * @return \StructType\Group_hasMember
     */
    public function setCustomerId(\StructType\Long $customerId = null)
    {
        $this->customerId = $customerId;
        return $this;
    }
    /**
     * Get includeSubGroups value
     * @return \StructType\Boolean|null
     */
    public function getIncludeSubGroups()
    {
        return $this->includeSubGroups;
    }
    /**
     * Set includeSubGroups value
     * @param \StructType\Boolean $includeSubGroups
     * @return \StructType\Group_hasMember
     */
    public function setIncludeSubGroups(\StructType\Boolean $includeSubGroups = null)
    {
        $this->includeSubGroups = $includeSubGroups;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Group_hasMember
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
