<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for group_move StructType
 * @subpackage Structs
 */
class Group_move extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The group
     * @var \StructType\Group
     */
    public $group;
    /**
     * The newParentId
     * @var \StructType\Long
     */
    public $newParentId;
    /**
     * Constructor method for group_move
     * @uses Group_move::setUuid()
     * @uses Group_move::setGroup()
     * @uses Group_move::setNewParentId()
     * @param \StructType\_string $uuid
     * @param \StructType\Group $group
     * @param \StructType\Long $newParentId
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Group $group = null, \StructType\Long $newParentId = null)
    {
        $this
            ->setUuid($uuid)
            ->setGroup($group)
            ->setNewParentId($newParentId);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Group_move
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get group value
     * @return \StructType\Group|null
     */
    public function getGroup()
    {
        return $this->group;
    }
    /**
     * Set group value
     * @param \StructType\Group $group
     * @return \StructType\Group_move
     */
    public function setGroup(\StructType\Group $group = null)
    {
        $this->group = $group;
        return $this;
    }
    /**
     * Get newParentId value
     * @return \StructType\Long|null
     */
    public function getNewParentId()
    {
        return $this->newParentId;
    }
    /**
     * Set newParentId value
     * @param \StructType\Long $newParentId
     * @return \StructType\Group_move
     */
    public function setNewParentId(\StructType\Long $newParentId = null)
    {
        $this->newParentId = $newParentId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Group_move
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
