<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for group_removeMember StructType
 * @subpackage Structs
 */
class Group_removeMember extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The group
     * @var \StructType\Group
     */
    public $group;
    /**
     * The customer
     * @var \StructType\Customer
     */
    public $customer;
    /**
     * Constructor method for group_removeMember
     * @uses Group_removeMember::setUuid()
     * @uses Group_removeMember::setGroup()
     * @uses Group_removeMember::setCustomer()
     * @param \StructType\_string $uuid
     * @param \StructType\Group $group
     * @param \StructType\Customer $customer
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Group $group = null, \StructType\Customer $customer = null)
    {
        $this
            ->setUuid($uuid)
            ->setGroup($group)
            ->setCustomer($customer);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Group_removeMember
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get group value
     * @return \StructType\Group|null
     */
    public function getGroup()
    {
        return $this->group;
    }
    /**
     * Set group value
     * @param \StructType\Group $group
     * @return \StructType\Group_removeMember
     */
    public function setGroup(\StructType\Group $group = null)
    {
        $this->group = $group;
        return $this;
    }
    /**
     * Get customer value
     * @return \StructType\Customer|null
     */
    public function getCustomer()
    {
        return $this->customer;
    }
    /**
     * Set customer value
     * @param \StructType\Customer $customer
     * @return \StructType\Group_removeMember
     */
    public function setCustomer(\StructType\Customer $customer = null)
    {
        $this->customer = $customer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Group_removeMember
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
