<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MagentoAbandonedOrder StructType
 * @subpackage Structs
 */
class MagentoAbandonedOrder extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $id;
    /**
     * The quoteId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $quoteId;
    /**
     * The storeview
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $storeview;
    /**
     * The storeviewId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $storeviewId;
    /**
     * The customerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $customerId;
    /**
     * The subtotal
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Double
     */
    public $subtotal;
    /**
     * The total
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Double
     */
    public $total;
    /**
     * The taxAmount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Double
     */
    public $taxAmount;
    /**
     * The discount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Double
     */
    public $discount;
    /**
     * The currency
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $currency;
    /**
     * The createDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $createDate;
    /**
     * The products
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfMagentoProduct
     */
    public $products;
    /**
     * Constructor method for MagentoAbandonedOrder
     * @uses MagentoAbandonedOrder::setId()
     * @uses MagentoAbandonedOrder::setQuoteId()
     * @uses MagentoAbandonedOrder::setStoreview()
     * @uses MagentoAbandonedOrder::setStoreviewId()
     * @uses MagentoAbandonedOrder::setCustomerId()
     * @uses MagentoAbandonedOrder::setSubtotal()
     * @uses MagentoAbandonedOrder::setTotal()
     * @uses MagentoAbandonedOrder::setTaxAmount()
     * @uses MagentoAbandonedOrder::setDiscount()
     * @uses MagentoAbandonedOrder::setCurrency()
     * @uses MagentoAbandonedOrder::setCreateDate()
     * @uses MagentoAbandonedOrder::setProducts()
     * @param \StructType\Long $id
     * @param \StructType\Long $quoteId
     * @param \StructType\_string $storeview
     * @param \StructType\Long $storeviewId
     * @param \StructType\Long $customerId
     * @param \StructType\Double $subtotal
     * @param \StructType\Double $total
     * @param \StructType\Double $taxAmount
     * @param \StructType\Double $discount
     * @param \StructType\_string $currency
     * @param \StructType\Long $createDate
     * @param \ArrayType\ArrayOfMagentoProduct $products
     */
    public function __construct(\StructType\Long $id = null, \StructType\Long $quoteId = null, \StructType\_string $storeview = null, \StructType\Long $storeviewId = null, \StructType\Long $customerId = null, \StructType\Double $subtotal = null, \StructType\Double $total = null, \StructType\Double $taxAmount = null, \StructType\Double $discount = null, \StructType\_string $currency = null, \StructType\Long $createDate = null, \ArrayType\ArrayOfMagentoProduct $products = null)
    {
        $this
            ->setId($id)
            ->setQuoteId($quoteId)
            ->setStoreview($storeview)
            ->setStoreviewId($storeviewId)
            ->setCustomerId($customerId)
            ->setSubtotal($subtotal)
            ->setTotal($total)
            ->setTaxAmount($taxAmount)
            ->setDiscount($discount)
            ->setCurrency($currency)
            ->setCreateDate($createDate)
            ->setProducts($products);
    }
    /**
     * Get id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getId()
    {
        return isset($this->id) ? $this->id : null;
    }
    /**
     * Set id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $id
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setId(\StructType\Long $id = null)
    {
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->id);
        } else {
            $this->id = $id;
        }
        return $this;
    }
    /**
     * Get quoteId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getQuoteId()
    {
        return isset($this->quoteId) ? $this->quoteId : null;
    }
    /**
     * Set quoteId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $quoteId
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setQuoteId(\StructType\Long $quoteId = null)
    {
        if (is_null($quoteId) || (is_array($quoteId) && empty($quoteId))) {
            unset($this->quoteId);
        } else {
            $this->quoteId = $quoteId;
        }
        return $this;
    }
    /**
     * Get storeview value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getStoreview()
    {
        return isset($this->storeview) ? $this->storeview : null;
    }
    /**
     * Set storeview value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $storeview
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setStoreview(\StructType\_string $storeview = null)
    {
        if (is_null($storeview) || (is_array($storeview) && empty($storeview))) {
            unset($this->storeview);
        } else {
            $this->storeview = $storeview;
        }
        return $this;
    }
    /**
     * Get storeviewId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getStoreviewId()
    {
        return isset($this->storeviewId) ? $this->storeviewId : null;
    }
    /**
     * Set storeviewId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $storeviewId
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setStoreviewId(\StructType\Long $storeviewId = null)
    {
        if (is_null($storeviewId) || (is_array($storeviewId) && empty($storeviewId))) {
            unset($this->storeviewId);
        } else {
            $this->storeviewId = $storeviewId;
        }
        return $this;
    }
    /**
     * Get customerId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCustomerId()
    {
        return isset($this->customerId) ? $this->customerId : null;
    }
    /**
     * Set customerId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $customerId
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setCustomerId(\StructType\Long $customerId = null)
    {
        if (is_null($customerId) || (is_array($customerId) && empty($customerId))) {
            unset($this->customerId);
        } else {
            $this->customerId = $customerId;
        }
        return $this;
    }
    /**
     * Get subtotal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Double|null
     */
    public function getSubtotal()
    {
        return isset($this->subtotal) ? $this->subtotal : null;
    }
    /**
     * Set subtotal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Double $subtotal
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setSubtotal(\StructType\Double $subtotal = null)
    {
        if (is_null($subtotal) || (is_array($subtotal) && empty($subtotal))) {
            unset($this->subtotal);
        } else {
            $this->subtotal = $subtotal;
        }
        return $this;
    }
    /**
     * Get total value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Double|null
     */
    public function getTotal()
    {
        return isset($this->total) ? $this->total : null;
    }
    /**
     * Set total value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Double $total
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setTotal(\StructType\Double $total = null)
    {
        if (is_null($total) || (is_array($total) && empty($total))) {
            unset($this->total);
        } else {
            $this->total = $total;
        }
        return $this;
    }
    /**
     * Get taxAmount value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Double|null
     */
    public function getTaxAmount()
    {
        return isset($this->taxAmount) ? $this->taxAmount : null;
    }
    /**
     * Set taxAmount value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Double $taxAmount
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setTaxAmount(\StructType\Double $taxAmount = null)
    {
        if (is_null($taxAmount) || (is_array($taxAmount) && empty($taxAmount))) {
            unset($this->taxAmount);
        } else {
            $this->taxAmount = $taxAmount;
        }
        return $this;
    }
    /**
     * Get discount value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Double|null
     */
    public function getDiscount()
    {
        return isset($this->discount) ? $this->discount : null;
    }
    /**
     * Set discount value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Double $discount
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setDiscount(\StructType\Double $discount = null)
    {
        if (is_null($discount) || (is_array($discount) && empty($discount))) {
            unset($this->discount);
        } else {
            $this->discount = $discount;
        }
        return $this;
    }
    /**
     * Get currency value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getCurrency()
    {
        return isset($this->currency) ? $this->currency : null;
    }
    /**
     * Set currency value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $currency
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setCurrency(\StructType\_string $currency = null)
    {
        if (is_null($currency) || (is_array($currency) && empty($currency))) {
            unset($this->currency);
        } else {
            $this->currency = $currency;
        }
        return $this;
    }
    /**
     * Get createDate value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCreateDate()
    {
        return isset($this->createDate) ? $this->createDate : null;
    }
    /**
     * Set createDate value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $createDate
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setCreateDate(\StructType\Long $createDate = null)
    {
        if (is_null($createDate) || (is_array($createDate) && empty($createDate))) {
            unset($this->createDate);
        } else {
            $this->createDate = $createDate;
        }
        return $this;
    }
    /**
     * Get products value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfMagentoProduct|null
     */
    public function getProducts()
    {
        return isset($this->products) ? $this->products : null;
    }
    /**
     * Set products value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfMagentoProduct $products
     * @return \StructType\MagentoAbandonedOrder
     */
    public function setProducts(\ArrayType\ArrayOfMagentoProduct $products = null)
    {
        if (is_null($products) || (is_array($products) && empty($products))) {
            unset($this->products);
        } else {
            $this->products = $products;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MagentoAbandonedOrder
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
