<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for magentoCategory_upsert StructType
 * @subpackage Structs
 */
class MagentoCategory_upsert extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The category
     * @var \StructType\MagentoCategory
     */
    public $category;
    /**
     * Constructor method for magentoCategory_upsert
     * @uses MagentoCategory_upsert::setUuid()
     * @uses MagentoCategory_upsert::setCategory()
     * @param \StructType\_string $uuid
     * @param \StructType\MagentoCategory $category
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\MagentoCategory $category = null)
    {
        $this
            ->setUuid($uuid)
            ->setCategory($category);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\MagentoCategory_upsert
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get category value
     * @return \StructType\MagentoCategory|null
     */
    public function getCategory()
    {
        return $this->category;
    }
    /**
     * Set category value
     * @param \StructType\MagentoCategory $category
     * @return \StructType\MagentoCategory_upsert
     */
    public function setCategory(\StructType\MagentoCategory $category = null)
    {
        $this->category = $category;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MagentoCategory_upsert
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
