<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for magentoProduct_upsert StructType
 * @subpackage Structs
 */
class MagentoProduct_upsert extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The product
     * @var \StructType\MagentoProduct
     */
    public $product;
    /**
     * The abandoned
     * @var \StructType\Boolean
     */
    public $abandoned;
    /**
     * Constructor method for magentoProduct_upsert
     * @uses MagentoProduct_upsert::setUuid()
     * @uses MagentoProduct_upsert::setProduct()
     * @uses MagentoProduct_upsert::setAbandoned()
     * @param \StructType\_string $uuid
     * @param \StructType\MagentoProduct $product
     * @param \StructType\Boolean $abandoned
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\MagentoProduct $product = null, \StructType\Boolean $abandoned = null)
    {
        $this
            ->setUuid($uuid)
            ->setProduct($product)
            ->setAbandoned($abandoned);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\MagentoProduct_upsert
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get product value
     * @return \StructType\MagentoProduct|null
     */
    public function getProduct()
    {
        return $this->product;
    }
    /**
     * Set product value
     * @param \StructType\MagentoProduct $product
     * @return \StructType\MagentoProduct_upsert
     */
    public function setProduct(\StructType\MagentoProduct $product = null)
    {
        $this->product = $product;
        return $this;
    }
    /**
     * Get abandoned value
     * @return \StructType\Boolean|null
     */
    public function getAbandoned()
    {
        return $this->abandoned;
    }
    /**
     * Set abandoned value
     * @param \StructType\Boolean $abandoned
     * @return \StructType\MagentoProduct_upsert
     */
    public function setAbandoned(\StructType\Boolean $abandoned = null)
    {
        $this->abandoned = $abandoned;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MagentoProduct_upsert
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
