<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for magento_customerInsertBulkUnique StructType
 * @subpackage Structs
 */
class Magento_customerInsertBulkUnique extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The customers
     * @var \ArrayType\ArrayOfCustomer
     */
    public $customers;
    /**
     * The websiteId
     * @var \StructType\Long
     */
    public $websiteId;
    /**
     * The websiteName
     * @var \StructType\_string
     */
    public $websiteName;
    /**
     * Constructor method for magento_customerInsertBulkUnique
     * @uses Magento_customerInsertBulkUnique::setUuid()
     * @uses Magento_customerInsertBulkUnique::setCustomers()
     * @uses Magento_customerInsertBulkUnique::setWebsiteId()
     * @uses Magento_customerInsertBulkUnique::setWebsiteName()
     * @param \StructType\_string $uuid
     * @param \ArrayType\ArrayOfCustomer $customers
     * @param \StructType\Long $websiteId
     * @param \StructType\_string $websiteName
     */
    public function __construct(\StructType\_string $uuid = null, \ArrayType\ArrayOfCustomer $customers = null, \StructType\Long $websiteId = null, \StructType\_string $websiteName = null)
    {
        $this
            ->setUuid($uuid)
            ->setCustomers($customers)
            ->setWebsiteId($websiteId)
            ->setWebsiteName($websiteName);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Magento_customerInsertBulkUnique
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get customers value
     * @return \ArrayType\ArrayOfCustomer|null
     */
    public function getCustomers()
    {
        return $this->customers;
    }
    /**
     * Set customers value
     * @param \ArrayType\ArrayOfCustomer $customers
     * @return \StructType\Magento_customerInsertBulkUnique
     */
    public function setCustomers(\ArrayType\ArrayOfCustomer $customers = null)
    {
        $this->customers = $customers;
        return $this;
    }
    /**
     * Get websiteId value
     * @return \StructType\Long|null
     */
    public function getWebsiteId()
    {
        return $this->websiteId;
    }
    /**
     * Set websiteId value
     * @param \StructType\Long $websiteId
     * @return \StructType\Magento_customerInsertBulkUnique
     */
    public function setWebsiteId(\StructType\Long $websiteId = null)
    {
        $this->websiteId = $websiteId;
        return $this;
    }
    /**
     * Get websiteName value
     * @return \StructType\_string|null
     */
    public function getWebsiteName()
    {
        return $this->websiteName;
    }
    /**
     * Set websiteName value
     * @param \StructType\_string $websiteName
     * @return \StructType\Magento_customerInsertBulkUnique
     */
    public function setWebsiteName(\StructType\_string $websiteName = null)
    {
        $this->websiteName = $websiteName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Magento_customerInsertBulkUnique
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
