<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for magento_customerInsertUnique StructType
 * @subpackage Structs
 */
class Magento_customerInsertUnique extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The customer
     * @var \StructType\Customer
     */
    public $customer;
    /**
     * The websiteId
     * @var \StructType\Long
     */
    public $websiteId;
    /**
     * Constructor method for magento_customerInsertUnique
     * @uses Magento_customerInsertUnique::setUuid()
     * @uses Magento_customerInsertUnique::setCustomer()
     * @uses Magento_customerInsertUnique::setWebsiteId()
     * @param \StructType\_string $uuid
     * @param \StructType\Customer $customer
     * @param \StructType\Long $websiteId
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Customer $customer = null, \StructType\Long $websiteId = null)
    {
        $this
            ->setUuid($uuid)
            ->setCustomer($customer)
            ->setWebsiteId($websiteId);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Magento_customerInsertUnique
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get customer value
     * @return \StructType\Customer|null
     */
    public function getCustomer()
    {
        return $this->customer;
    }
    /**
     * Set customer value
     * @param \StructType\Customer $customer
     * @return \StructType\Magento_customerInsertUnique
     */
    public function setCustomer(\StructType\Customer $customer = null)
    {
        $this->customer = $customer;
        return $this;
    }
    /**
     * Get websiteId value
     * @return \StructType\Long|null
     */
    public function getWebsiteId()
    {
        return $this->websiteId;
    }
    /**
     * Set websiteId value
     * @param \StructType\Long $websiteId
     * @return \StructType\Magento_customerInsertUnique
     */
    public function setWebsiteId(\StructType\Long $websiteId = null)
    {
        $this->websiteId = $websiteId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Magento_customerInsertUnique
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
