<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Open StructType
 * @subpackage Structs
 */
class Open extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $id;
    /**
     * The customerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $customerId;
    /**
     * The mailingId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $mailingId;
    /**
     * The openedAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $openedAt;
    /**
     * The browserInformation
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\BrowserInformation
     */
    public $browserInformation;
    /**
     * Constructor method for Open
     * @uses Open::setId()
     * @uses Open::setCustomerId()
     * @uses Open::setMailingId()
     * @uses Open::setOpenedAt()
     * @uses Open::setBrowserInformation()
     * @param \StructType\Long $id
     * @param \StructType\Long $customerId
     * @param \StructType\Long $mailingId
     * @param \StructType\_string $openedAt
     * @param \StructType\BrowserInformation $browserInformation
     */
    public function __construct(\StructType\Long $id = null, \StructType\Long $customerId = null, \StructType\Long $mailingId = null, \StructType\_string $openedAt = null, \StructType\BrowserInformation $browserInformation = null)
    {
        $this
            ->setId($id)
            ->setCustomerId($customerId)
            ->setMailingId($mailingId)
            ->setOpenedAt($openedAt)
            ->setBrowserInformation($browserInformation);
    }
    /**
     * Get id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getId()
    {
        return isset($this->id) ? $this->id : null;
    }
    /**
     * Set id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $id
     * @return \StructType\Open
     */
    public function setId(\StructType\Long $id = null)
    {
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->id);
        } else {
            $this->id = $id;
        }
        return $this;
    }
    /**
     * Get customerId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCustomerId()
    {
        return isset($this->customerId) ? $this->customerId : null;
    }
    /**
     * Set customerId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $customerId
     * @return \StructType\Open
     */
    public function setCustomerId(\StructType\Long $customerId = null)
    {
        if (is_null($customerId) || (is_array($customerId) && empty($customerId))) {
            unset($this->customerId);
        } else {
            $this->customerId = $customerId;
        }
        return $this;
    }
    /**
     * Get mailingId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getMailingId()
    {
        return isset($this->mailingId) ? $this->mailingId : null;
    }
    /**
     * Set mailingId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $mailingId
     * @return \StructType\Open
     */
    public function setMailingId(\StructType\Long $mailingId = null)
    {
        if (is_null($mailingId) || (is_array($mailingId) && empty($mailingId))) {
            unset($this->mailingId);
        } else {
            $this->mailingId = $mailingId;
        }
        return $this;
    }
    /**
     * Get openedAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getOpenedAt()
    {
        return isset($this->openedAt) ? $this->openedAt : null;
    }
    /**
     * Set openedAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $openedAt
     * @return \StructType\Open
     */
    public function setOpenedAt(\StructType\_string $openedAt = null)
    {
        if (is_null($openedAt) || (is_array($openedAt) && empty($openedAt))) {
            unset($this->openedAt);
        } else {
            $this->openedAt = $openedAt;
        }
        return $this;
    }
    /**
     * Get browserInformation value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\BrowserInformation|null
     */
    public function getBrowserInformation()
    {
        return isset($this->browserInformation) ? $this->browserInformation : null;
    }
    /**
     * Set browserInformation value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\BrowserInformation $browserInformation
     * @return \StructType\Open
     */
    public function setBrowserInformation(\StructType\BrowserInformation $browserInformation = null)
    {
        if (is_null($browserInformation) || (is_array($browserInformation) && empty($browserInformation))) {
            unset($this->browserInformation);
        } else {
            $this->browserInformation = $browserInformation;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Open
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
