<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for open_getById StructType
 * @subpackage Structs
 */
class Open_getById extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The openId
     * @var \StructType\Long
     */
    public $openId;
    /**
     * Constructor method for open_getById
     * @uses Open_getById::setUuid()
     * @uses Open_getById::setOpenId()
     * @param \StructType\_string $uuid
     * @param \StructType\Long $openId
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Long $openId = null)
    {
        $this
            ->setUuid($uuid)
            ->setOpenId($openId);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Open_getById
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get openId value
     * @return \StructType\Long|null
     */
    public function getOpenId()
    {
        return $this->openId;
    }
    /**
     * Set openId value
     * @param \StructType\Long $openId
     * @return \StructType\Open_getById
     */
    public function setOpenId(\StructType\Long $openId = null)
    {
        $this->openId = $openId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Open_getById
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
