<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Sms StructType
 * @subpackage Structs
 */
class Sms extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $id;
    /**
     * The campaignId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $campaignId;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $name;
    /**
     * The fromName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $fromName;
    /**
     * The plainText
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $plainText;
    /**
     * The enableUnicodeSupport
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Boolean
     */
    public $enableUnicodeSupport;
    /**
     * The maxSmsMessages
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $maxSmsMessages;
    /**
     * The createdBy
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $createdBy;
    /**
     * The createdAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $createdAt;
    /**
     * The modifiedBy
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $modifiedBy;
    /**
     * The modifiedAt
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $modifiedAt;
    /**
     * The textBlocks
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSmsBlockContainer
     */
    public $textBlocks;
    /**
     * Constructor method for Sms
     * @uses Sms::setId()
     * @uses Sms::setCampaignId()
     * @uses Sms::setName()
     * @uses Sms::setFromName()
     * @uses Sms::setPlainText()
     * @uses Sms::setEnableUnicodeSupport()
     * @uses Sms::setMaxSmsMessages()
     * @uses Sms::setCreatedBy()
     * @uses Sms::setCreatedAt()
     * @uses Sms::setModifiedBy()
     * @uses Sms::setModifiedAt()
     * @uses Sms::setTextBlocks()
     * @param \StructType\Long $id
     * @param \StructType\Long $campaignId
     * @param \StructType\_string $name
     * @param \StructType\_string $fromName
     * @param \StructType\_string $plainText
     * @param \StructType\Boolean $enableUnicodeSupport
     * @param \StructType\Long $maxSmsMessages
     * @param \StructType\_string $createdBy
     * @param \StructType\_string $createdAt
     * @param \StructType\_string $modifiedBy
     * @param \StructType\_string $modifiedAt
     * @param \ArrayType\ArrayOfSmsBlockContainer $textBlocks
     */
    public function __construct(\StructType\Long $id = null, \StructType\Long $campaignId = null, \StructType\_string $name = null, \StructType\_string $fromName = null, \StructType\_string $plainText = null, \StructType\Boolean $enableUnicodeSupport = null, \StructType\Long $maxSmsMessages = null, \StructType\_string $createdBy = null, \StructType\_string $createdAt = null, \StructType\_string $modifiedBy = null, \StructType\_string $modifiedAt = null, \ArrayType\ArrayOfSmsBlockContainer $textBlocks = null)
    {
        $this
            ->setId($id)
            ->setCampaignId($campaignId)
            ->setName($name)
            ->setFromName($fromName)
            ->setPlainText($plainText)
            ->setEnableUnicodeSupport($enableUnicodeSupport)
            ->setMaxSmsMessages($maxSmsMessages)
            ->setCreatedBy($createdBy)
            ->setCreatedAt($createdAt)
            ->setModifiedBy($modifiedBy)
            ->setModifiedAt($modifiedAt)
            ->setTextBlocks($textBlocks);
    }
    /**
     * Get id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getId()
    {
        return isset($this->id) ? $this->id : null;
    }
    /**
     * Set id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $id
     * @return \StructType\Sms
     */
    public function setId(\StructType\Long $id = null)
    {
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->id);
        } else {
            $this->id = $id;
        }
        return $this;
    }
    /**
     * Get campaignId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getCampaignId()
    {
        return isset($this->campaignId) ? $this->campaignId : null;
    }
    /**
     * Set campaignId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $campaignId
     * @return \StructType\Sms
     */
    public function setCampaignId(\StructType\Long $campaignId = null)
    {
        if (is_null($campaignId) || (is_array($campaignId) && empty($campaignId))) {
            unset($this->campaignId);
        } else {
            $this->campaignId = $campaignId;
        }
        return $this;
    }
    /**
     * Get name value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getName()
    {
        return isset($this->name) ? $this->name : null;
    }
    /**
     * Set name value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $name
     * @return \StructType\Sms
     */
    public function setName(\StructType\_string $name = null)
    {
        if (is_null($name) || (is_array($name) && empty($name))) {
            unset($this->name);
        } else {
            $this->name = $name;
        }
        return $this;
    }
    /**
     * Get fromName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getFromName()
    {
        return isset($this->fromName) ? $this->fromName : null;
    }
    /**
     * Set fromName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $fromName
     * @return \StructType\Sms
     */
    public function setFromName(\StructType\_string $fromName = null)
    {
        if (is_null($fromName) || (is_array($fromName) && empty($fromName))) {
            unset($this->fromName);
        } else {
            $this->fromName = $fromName;
        }
        return $this;
    }
    /**
     * Get plainText value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getPlainText()
    {
        return isset($this->plainText) ? $this->plainText : null;
    }
    /**
     * Set plainText value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $plainText
     * @return \StructType\Sms
     */
    public function setPlainText(\StructType\_string $plainText = null)
    {
        if (is_null($plainText) || (is_array($plainText) && empty($plainText))) {
            unset($this->plainText);
        } else {
            $this->plainText = $plainText;
        }
        return $this;
    }
    /**
     * Get enableUnicodeSupport value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Boolean|null
     */
    public function getEnableUnicodeSupport()
    {
        return isset($this->enableUnicodeSupport) ? $this->enableUnicodeSupport : null;
    }
    /**
     * Set enableUnicodeSupport value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Boolean $enableUnicodeSupport
     * @return \StructType\Sms
     */
    public function setEnableUnicodeSupport(\StructType\Boolean $enableUnicodeSupport = null)
    {
        if (is_null($enableUnicodeSupport) || (is_array($enableUnicodeSupport) && empty($enableUnicodeSupport))) {
            unset($this->enableUnicodeSupport);
        } else {
            $this->enableUnicodeSupport = $enableUnicodeSupport;
        }
        return $this;
    }
    /**
     * Get maxSmsMessages value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getMaxSmsMessages()
    {
        return isset($this->maxSmsMessages) ? $this->maxSmsMessages : null;
    }
    /**
     * Set maxSmsMessages value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $maxSmsMessages
     * @return \StructType\Sms
     */
    public function setMaxSmsMessages(\StructType\Long $maxSmsMessages = null)
    {
        if (is_null($maxSmsMessages) || (is_array($maxSmsMessages) && empty($maxSmsMessages))) {
            unset($this->maxSmsMessages);
        } else {
            $this->maxSmsMessages = $maxSmsMessages;
        }
        return $this;
    }
    /**
     * Get createdBy value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getCreatedBy()
    {
        return isset($this->createdBy) ? $this->createdBy : null;
    }
    /**
     * Set createdBy value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $createdBy
     * @return \StructType\Sms
     */
    public function setCreatedBy(\StructType\_string $createdBy = null)
    {
        if (is_null($createdBy) || (is_array($createdBy) && empty($createdBy))) {
            unset($this->createdBy);
        } else {
            $this->createdBy = $createdBy;
        }
        return $this;
    }
    /**
     * Get createdAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getCreatedAt()
    {
        return isset($this->createdAt) ? $this->createdAt : null;
    }
    /**
     * Set createdAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $createdAt
     * @return \StructType\Sms
     */
    public function setCreatedAt(\StructType\_string $createdAt = null)
    {
        if (is_null($createdAt) || (is_array($createdAt) && empty($createdAt))) {
            unset($this->createdAt);
        } else {
            $this->createdAt = $createdAt;
        }
        return $this;
    }
    /**
     * Get modifiedBy value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getModifiedBy()
    {
        return isset($this->modifiedBy) ? $this->modifiedBy : null;
    }
    /**
     * Set modifiedBy value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $modifiedBy
     * @return \StructType\Sms
     */
    public function setModifiedBy(\StructType\_string $modifiedBy = null)
    {
        if (is_null($modifiedBy) || (is_array($modifiedBy) && empty($modifiedBy))) {
            unset($this->modifiedBy);
        } else {
            $this->modifiedBy = $modifiedBy;
        }
        return $this;
    }
    /**
     * Get modifiedAt value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getModifiedAt()
    {
        return isset($this->modifiedAt) ? $this->modifiedAt : null;
    }
    /**
     * Set modifiedAt value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $modifiedAt
     * @return \StructType\Sms
     */
    public function setModifiedAt(\StructType\_string $modifiedAt = null)
    {
        if (is_null($modifiedAt) || (is_array($modifiedAt) && empty($modifiedAt))) {
            unset($this->modifiedAt);
        } else {
            $this->modifiedAt = $modifiedAt;
        }
        return $this;
    }
    /**
     * Get textBlocks value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSmsBlockContainer|null
     */
    public function getTextBlocks()
    {
        return isset($this->textBlocks) ? $this->textBlocks : null;
    }
    /**
     * Set textBlocks value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSmsBlockContainer $textBlocks
     * @return \StructType\Sms
     */
    public function setTextBlocks(\ArrayType\ArrayOfSmsBlockContainer $textBlocks = null)
    {
        if (is_null($textBlocks) || (is_array($textBlocks) && empty($textBlocks))) {
            unset($this->textBlocks);
        } else {
            $this->textBlocks = $textBlocks;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Sms
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
