<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SmsBlockContainer StructType
 * @subpackage Structs
 */
class SmsBlockContainer extends AbstractStructBase
{
    /**
     * The id
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $id;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $name;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\_string
     */
    public $type;
    /**
     * The defaultBlockId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Long
     */
    public $defaultBlockId;
    /**
     * The blocks
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSmsBlock
     */
    public $blocks;
    /**
     * Constructor method for SmsBlockContainer
     * @uses SmsBlockContainer::setId()
     * @uses SmsBlockContainer::setName()
     * @uses SmsBlockContainer::setType()
     * @uses SmsBlockContainer::setDefaultBlockId()
     * @uses SmsBlockContainer::setBlocks()
     * @param \StructType\Long $id
     * @param \StructType\_string $name
     * @param \StructType\_string $type
     * @param \StructType\Long $defaultBlockId
     * @param \ArrayType\ArrayOfSmsBlock $blocks
     */
    public function __construct(\StructType\Long $id = null, \StructType\_string $name = null, \StructType\_string $type = null, \StructType\Long $defaultBlockId = null, \ArrayType\ArrayOfSmsBlock $blocks = null)
    {
        $this
            ->setId($id)
            ->setName($name)
            ->setType($type)
            ->setDefaultBlockId($defaultBlockId)
            ->setBlocks($blocks);
    }
    /**
     * Get id value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getId()
    {
        return isset($this->id) ? $this->id : null;
    }
    /**
     * Set id value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $id
     * @return \StructType\SmsBlockContainer
     */
    public function setId(\StructType\Long $id = null)
    {
        if (is_null($id) || (is_array($id) && empty($id))) {
            unset($this->id);
        } else {
            $this->id = $id;
        }
        return $this;
    }
    /**
     * Get name value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getName()
    {
        return isset($this->name) ? $this->name : null;
    }
    /**
     * Set name value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $name
     * @return \StructType\SmsBlockContainer
     */
    public function setName(\StructType\_string $name = null)
    {
        if (is_null($name) || (is_array($name) && empty($name))) {
            unset($this->name);
        } else {
            $this->name = $name;
        }
        return $this;
    }
    /**
     * Get type value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\_string|null
     */
    public function getType()
    {
        return isset($this->type) ? $this->type : null;
    }
    /**
     * Set type value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\_string $type
     * @return \StructType\SmsBlockContainer
     */
    public function setType(\StructType\_string $type = null)
    {
        if (is_null($type) || (is_array($type) && empty($type))) {
            unset($this->type);
        } else {
            $this->type = $type;
        }
        return $this;
    }
    /**
     * Get defaultBlockId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Long|null
     */
    public function getDefaultBlockId()
    {
        return isset($this->defaultBlockId) ? $this->defaultBlockId : null;
    }
    /**
     * Set defaultBlockId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Long $defaultBlockId
     * @return \StructType\SmsBlockContainer
     */
    public function setDefaultBlockId(\StructType\Long $defaultBlockId = null)
    {
        if (is_null($defaultBlockId) || (is_array($defaultBlockId) && empty($defaultBlockId))) {
            unset($this->defaultBlockId);
        } else {
            $this->defaultBlockId = $defaultBlockId;
        }
        return $this;
    }
    /**
     * Get blocks value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSmsBlock|null
     */
    public function getBlocks()
    {
        return isset($this->blocks) ? $this->blocks : null;
    }
    /**
     * Set blocks value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSmsBlock $blocks
     * @return \StructType\SmsBlockContainer
     */
    public function setBlocks(\ArrayType\ArrayOfSmsBlock $blocks = null)
    {
        if (is_null($blocks) || (is_array($blocks) && empty($blocks))) {
            unset($this->blocks);
        } else {
            $this->blocks = $blocks;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SmsBlockContainer
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
