<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sms_getByObject StructType
 * @subpackage Structs
 */
class Sms_getByObject extends AbstractStructBase
{
    /**
     * The uuid
     * @var \StructType\_string
     */
    public $uuid;
    /**
     * The sms
     * @var \StructType\Sms
     */
    public $sms;
    /**
     * Constructor method for sms_getByObject
     * @uses Sms_getByObject::setUuid()
     * @uses Sms_getByObject::setSms()
     * @param \StructType\_string $uuid
     * @param \StructType\Sms $sms
     */
    public function __construct(\StructType\_string $uuid = null, \StructType\Sms $sms = null)
    {
        $this
            ->setUuid($uuid)
            ->setSms($sms);
    }
    /**
     * Get uuid value
     * @return \StructType\_string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param \StructType\_string $uuid
     * @return \StructType\Sms_getByObject
     */
    public function setUuid(\StructType\_string $uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get sms value
     * @return \StructType\Sms|null
     */
    public function getSms()
    {
        return $this->sms;
    }
    /**
     * Set sms value
     * @param \StructType\Sms $sms
     * @return \StructType\Sms_getByObject
     */
    public function setSms(\StructType\Sms $sms = null)
    {
        $this->sms = $sms;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Sms_getByObject
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
